----------------------
phpMyAdmin - ChangeLog
----------------------

$Id: ChangeLog 9841 2007-01-16 17:32:33Z lem9 $
$Source$

2007-01-16 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.2 released from QA_2_9

2007-01-09 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.2-rc1 released from QA_2_9

2007-01-09 Michal Čihař  <michal@cihar.com>
    * index.php: Properly escape strings written in JS code.
    * libraries/Theme_Manager.class.php: Avoid trigger error here, parameter
      comes from user and it might lead to path disclossure.
    * libraries/common.lib.php:
        - Properly escape </script> in JS code.
        - Check db, table and sql_query params to be string.

2007-01-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php: prevent attack on session name cookie

2007-01-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php: bug #1538132, remove the setting of
      session.save_handler to 'files'

2007-01-02 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: undefined $pdf_page_number when no auto layout
    * server_privileges.php: bug #1614087, deleting a user having a
      global GRANT privilege fails under MySQL 4.1.x

2007-01-02 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: DELIMITER should not be commented out (bug
      #1612870).

2006-12-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1619647, export of query results
      should not contain procedure definitions

2006-12-15 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, libraries/common.lib.php, config.default.php:
      bug #1615313, doc referred to HTTP so enable the code to accept
      either HTTP or http as auth_type

2006-12-12 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Table.class.php: problem changing a TIMESTAMP to DEFAULT 0
    * tbl_change.php: bug #1610314, detection of binary column

2006-12-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/ip_allow_deny.lib.php: checks that the header contains
      only one IP address, thanks to Christian Schmidt

2006-12-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/import.lib.php, /common.lib.php: bug #1603660, 
      incorrect escaping of ">"
    * server_variables.php: bug #1589611, problem on 64-bit systems

2006-12-05 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: Grant all privileges on wildcard name: we should
      really grant on username\_ instead of username_

2006-12-05 Michal Čihař  <michal@cihar.com>
    * server_privileges.php: Add IF NOT EXISTS to CREATE DATABASE query (RFE
      #1608372), reload navigation after creating database.
    * server_privileges.php: Use correct links (patch #1607236).

2006-12-04 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php, bug #1605985, missing HTML tag

2006-11-29 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish update, thanks to Daniel Hinostroza
    * sql.php, libraries/display_tbl.lib.php: patch #1605032, checks for
     undefined index, thanks to Arpad Borsos

2006-11-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php: bug #1602335, browse distinct values
      and name containing a quote
    * libraries/bookmark.lib.php: bug #1579701: error listing bookmarks
      when dropping a table and no pmadb

2006-11-19 Michal Čihař  <michal@cihar.com>
    * libraries/unzip.lib.php: Fix check for encrypted file (bug #1596304).

2006-11-19 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/upgrade.pl: bug #1599173, adapt for new filename structure,
      thanks to Linas Gricius

2006-11-18 Marc Delisle  <lem9@users.sourceforge.net>
    * index.php, libraries/common.lib.php: undefined index
    ### 2.9.1.1 released from MAINT_2_9_1
    
2006-11-18 Michal Čihař  <michal@cihar.com>
    * Documentation.html, libraries/ip_allow_deny.lib.php: Define headers
      which to trust in configuration, thanks for help with this to Christian
      Schmidt, Peytz & Co.
    * libraries/common.lib.php: Fix XSS on database comment, thanks to laurent
      gaffié.

2006-11-17 Michal Čihař  <michal@cihar.com>
    * sql.php, libraries/display_tbl.lib.php: Force pos to be integer to avoid
      XSS.
    * left.php: Fix XSS on table comment.
    * index.php, libraries/url_generating.lib.php, libraries/common.lib.php,
      libraries/select_lang.lib.php: Fix path disclossure while passing array
      as some params.
    * Documentation.html, libraries/ip_allow_deny.lib.php,
      libraries/config.default.php: Trust only listed proxies for IP
      Allow/Deny.

2006-11-09 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.1 released from MAINT_2_9_1

2006-11-03 Michal Čihař  <michal@cihar.com>
    * config.sample.inc.php: Make it use CRLF to make Windows users happy.

2006-11-02 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Mention problems with Hardened-PHP.
    * lang/dutch: Fix typo, thanks to Thijs Kinkhorst - kink.

2006-11-01 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.1-rc2 released from QA_2_9

2006-10-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/fpdf/font: replace broken binary files

2006-10-26 Marc Delisle  <lem9@users.sourceforge.net>
    * error.php, libraries/common.lib.php, /database_interface.lib.php,
      /session.inc.php: force utf-8 charset to avoid XSS with crafted URL
      and utf-7 in charset; error messages won't display correctly
      if the chosen lang is not utf-8

2006-10-26 Michal Čihař  <michal@cihar.com>
    * libraries/import/csv.php: Fix wrong import when ;; is at buffer boundary
      (bug #1584836).
    * tbl_properties_operations.php: Fix duplicate ID for checkbox (bug
      #1584770).
    * libraries/tbl_properties.inc.php: Check form only when saving table
      fields (bug #1566222).

2006-10-25 Michal Čihař  <michal@cihar.com>
    * libraries/export/csv.php: Fix cvs/csv typo (bug #1583509).

2006-10-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, /database_interface.lib.php,/session.inc.php:
      wrong parameter "char" when calling error.php, should be "charset"

2006-10-19 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Fix escaping of long query with js (thanks to
      Erwin for report).

2006-10-18 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, libraries/Table.class.php: bug #1567316,
      renaming a db containing a view

2006-10-10 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Sync with trunk.

2006-10-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Table.class.php: bug #1567316, renaming a db containing view
      (but still some work to ensure proper sequence of renaming)

2006-10-13 Marc Delisle  <lem9@users.sourceforge.net>
    * css/phpmyadmin.css.php: bug #1517428, some IE 6 versions have
      problems loading CSS when zlip.output_compression is on,
      thanks to Juergen Wind
    * db_details_export.php: select all tables by default to reflect
      the default export behavior

2006-10-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1566219, automated timestamp values

2006-10-10 Michal Čihař  <michal@cihar.com>
    * lang/german: Fix typo (translation #1467138).
    * libraries/import.lib.php: Correctly fail if file is too short (bug
      #1574340).
    * libraries/export/excel.php: Fix MIME type and extension to state before
      plugins were introduced (patch #1570742, thanks to ssevennm - ssevennm).

2006-10-09 Michal Čihař  <michal@cihar.com>
    * lang/german: Fix typo (translation #1570611).

2006-10-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1562533, problems with unbuffered queries
    * Documentation.html: FontFamily, FontFamilyFixed
    * themes/original/layout.inc.php: bug #1564409, default FontFamily

2006-10-07 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: use lang-cleanup.sh from the kit,
      list all files, and allow non-anonymous access

2006-10-06 Michal Čihař  <michal@cihar.com>
    * scripts/lang-cleanup.sh: Script for removing not installed languages
      from libraries/select_lang.lib.php.
    * scripts/create-release.sh: Make it better :-):
        - Create 7z archives
        - Make compression list configurable
        - Allow to define which kits to build
        - Call scripts/lang-cleanup.sh to remove not wanted languages
        - Do not login to cvs if already logged in

2006-10-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, bug #1568341, last part of
      the fix to avoid problems on Windows servers, thanks to Juergen Wind

2006-10-05 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: starting changes for new kits
      TODO: - trimming of libraries/select_lang.lib.php in the kit
            - 7zip 
            - remove gzip ?

2006-10-04 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Fixes thanks to Matt LaPlante - cyberdog3k.
        - Fix Wikipedia URLs (patch #1568498).
        - Fix duplicate ids (patch #1568504).
    * tbl_replace.php, libraries/config.default.php: Add support for UTC_DATE,
      UTC_TIME and UTC_TIMESTAMP functions, based on patch #1563585, thanks to
      Alexander Schuch - ci-dev.
    * tbl_alter.php: Fix order of includes (bug #1569277).

2006-10-03 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.0.2 released from MAINT_2_9_0

2006-10-03 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Sync token name, move it's definition to one place
      (bug #1569612).

2006-10-01 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.0.1 released from MAINT_2_9_0
    * libraries/database_interface.lib.php: bug #1568341, 
      case sensitivity in database names
    * tbl_relation.php: trap error 1452 when adding a foreign key
      and a constraint fails
    * libraries/export/sql.php: bug #1550690, wrong export of constraints,
      thanks to Robert Vock

2006-09-29 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/grab_globals.lib.php: fix attack via _FILES,
      thanks to Stefan Esser
    * libraries/database_interface.lib.php, bug #1566904, typo in require,
      thanks to Björn Wiberg - bwiberg.
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat

2006-09-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, /session.inc.php, /url_generating.lib.php:
      security fixes (announcement will come later),
      thanks to Sebastian Mendel and Stefan Esser
    * libraries/.htaccess: remove potential vulnerability (allow from none),
      thanks to Michael Heimpold
    ### 2.9.1-rc1 released from QA_2_9

2006-09-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/tbl_properties_links.inc.php: bug #1560152, 
      after renaming a table the navigation does not work

2006-09-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.0 released from QA_2_9

2006-09-19 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, libraries/footer.inc.php, 
      libraries/dbg/profiling.php: remove profiling feature
      due to licensing issues (non GPL code)

2006-09-15 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/finnish: Update, thanks to Yoneh - yoneh.
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.

2006-09-14 Michal Čihař  <michal@cihar.com>
    * db_details_structure.php: Fix table footer when MySQL does not support
      collations (bug #1554885, patch #1557269, thanks to Isaac Bennetch -
      ibennetch).

2006-09-12 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/config.default.php, libraries/export/sql.php:
      bug #1556934, sql compatibility mode on export

2006-09-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/check_lang.sh: ignore differences in doc_lang
    * lang/italian: Update, thanks to Rebe - rebeluca.
    ### 2.9.0-rc1 released from QA_2_9

2006-09-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish: update, thanks to Burak Yavuz - bourock

2006-08-30 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php, lang/*: Internationalise link to MySQL
      documentation when translation exists, this needs to be defined in
      language file (RFE #1547130).
    * lang/belarusian_latin-utf-8.inc.php: Fix charset information.

2006-08-29 Michal Čihař  <michal@cihar.com>
    * lang/croatian: Updated, thanks to Renato Pavicic - babalui.

2006-08-28 Michal Čihař  <michal@cihar.com>
    * config.sample.inc.php, Documentation.html: Add minimal sample
      configuration, so that lazy people won't copy
      libraries/config.default.php (RFE #1544570).

2006-08-27 Marc Delisle  <lem9@users.sourceforge.net>
    * themes/*/layout.inc.php: patch #1523543, possibility of vertical
      solid line between frames, thanks to Juergen Wind

2006-08-26 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: bug #1544799, undefined variable on db copy
    * libraries/common.lib.php: bug #1544734, error messages link outdated,
      thanks to René Leonhardt
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * libraries/tbl_properties.inc.php: bug #1543996, wrong link for message,
      thanks to GerardW

2006-08-24 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.9.0-beta1 released from QA_2_9

2006-08-22 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/setup.php: bug #1536112, better fix (in case of 
      register_globals enabled), thanks to Michal
    ### 2.8.2.3 released from MAINT_2_8_2
    * scripts/setup.php: bug #1544692, version 2.8.2.3 breaks setup.php
      on a server with register_globals enabled, thanks to Juergen Wind
    ### 2.8.2.4 released from MAINT_2_8_2

2006-08-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, libraries/auth/cookie.auth.lib.php:
      bug #1542875, Cookie auth on IIS

2006-08-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.

2006-08-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/pdf.php: do not display BLOBs on PDF export
    * lang/brazilian-portuguese: update, thanks to thedarkness
    * lang/catalan update, thanks to Xavier Navarro (xavin)

2006-08-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: sorting on column header

2006-08-16 Michal Čihař  <michal@cihar.com>
    * libraries/export/htmlexcel.php: Fix charset header of exported HTML/XLS
      file (bug #1541100).

2006-08-15 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/german: Updated

2006-08-14 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.2.2 released from MAINT_2_8_2

2006-08-14 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Improve readibility (patch #1539976), thanks to Isaac
      Bennetch - ibennetch.
    * lang/czech: Updated.

2006-08-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1519799, imagelink error

2006-08-12 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php: bug #1492772, parsing EXTRACT YEAR_MONTH
      (there were sorting errors in the function names array)
      also bug #1534007, STD function not working
    * lang/polish: updates, thanks to Jakub Wilk - ubanus
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.
    * lang/italian: Update, thanks to Rebe - rebeluca.
    * lang/japanese: Update, thanks to Ishigaki Kenichi - tcool.
    * lang/belarusian updates, thanks to Jaska Zedlik

2006-08-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/config.auth.lib.php: bug #1536112, config not loaded
      (MySQL error 2002 or 2003)

2006-08-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css\phpmyadmin.css.php, themes\*:
      updated themes to 2.9 and some minor fixes
      thanks to Juergen Wind - windkiel for hinting this (patch #1535169)

2006-08-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat
    * lang/catalan update, thanks to Xavier Navarro (xavin)
    * lang/galician: Update, thanks to Xosé Calvo - xosecalvo.
    * lang/estonian: Update, thanks to Marko Ellermaa - uhuu
    * lang/russian: update, thanks to Gosha Sakovich - gt2
    * libraries/common.lib.php: bug #1534475, arbitrary server

2006-08-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mysql_charsets.lib.php: bug #1530574:
      MySQL 4.1.13 and double quotes in SHOW VARIABLES,
      thanks to Herve Pages
    * docs.css, Documentation.html: bug #1446538, FAQ numbers missing
    * libraries/display_select_lang.lib.php, lang/*: $strLanguage

2006-08-08 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: added a FIXME for db copy with Add Constraints 
      and mysql extension

2006-08-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1527862, export foreign keys is broken
    in latest CVS

2006-08-04 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php, libraries/export/sql.php:
      bug #1526000, copying table to another db (MYSQL 5.0.24)
    * db_details_structure.php: bug #1530574, misaligned HTML 
      when db_collation is empty

2006-08-03 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    *  libraries/dbi/mysqli.dbi.lib.php PMA_DBI_try_query(): do not force
       MYSQLI_USE_RESULT if not requested, makes PMA_DBI_num_rows() not to work

2006-08-02 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.2.1 released from MAINT_2_8_2

2006-08-02 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css\phpmyadmin.css.php, themes\darkblue_orange\css\theme_right.css.php
      themes\darkblue_orange\layout.inc.php, themes\original\layout.inc.php
      themes\original\css\theme_left.css.php,
      themes\original\css\theme_right.css.php:
      added variables to define (text) color for marked and hovered objects
      thanks to Juergen Wind - windkiel for hinting this bug (patch #1503529)
    * Documentation.html: updated style config option descriptions
    * libraries/common.lib.php:
      - added PMA_escapeJsString() to escape strings for JavaScript inside CDATA blocks
      - added PMA_unQuote() to remove quotes from strings
    * libraries/footer.inc.php: correctly escape strings inside JavaScript
      (part of bug #1532721)
    * libraries/sqlparser.lib.php: correctly unquote identifiers
      (part of bug #1532721)
    * libraries/display_tbl.lib.php:
      bug #1524387 incorrectly detects table name for result field

2006-08-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1532493 + light editing from me,
      thanks to Isaac Bennetch

2006-08-01 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * left.php, libraries/header.inc.php:
      do not apply 'vertical scrollbar bug'-fix to IE 7
    * changelog.php: updatet CVS URL
    * libraries/dbi/mysqli.dbi.lib.php:
      bug #1532111 dbi/mysqli: MYSQLI_* constants thanks to Lierduh - lierduh

2006-07-31 Michal Čihař  <michal@cihar.com>
    * lang/czech: Updated.

2006-07-31 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/german: Updated.
    * libraries/common.lib.php: use PMA_Config class for cookie needs,
      do not unset not set cookie
    * css\phpmyadmin.css.php, libraries\Config.class.php, main.php,
      themes\*: make font size user configurable

2006-07-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1526000, copy table on MySQL 5.0.23+,
      thanks to Rapsys Phoenix - rapsys

2006-07-28 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Protect against php code input from user (bug
      #1530370).

2006-07-27 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: automatic layout for InnoDB tables
    * tbl_properties_operations.php: problem switching from InnoDB to MyISAM
    * tbl_printview.php, libraries/mult_submits.inc.php,
      libraries/db_table_exists.lib.php:
      bug #1521910, with selected ... print view

2006-07-26 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1526557, display error when admin
      lacks some privileges and tries to do a privilege change
    * libraries/common.lib.php: bug #1523784, blank page after Edit
      in IE6 via IIS

2006-07-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_import.lib.php: the Character set of the file
      could appear twice
    * tbl_properties_operations.php: handling of AUTO_INCREMENT when moving a
      table

2006-07-20 Michal Čihař  <michal@cihar.com>
    * libraries/compat/var_export.php: Dropped due to license problems.
    * scripts/setup.php: Implement own var_export.

2006-07-19 Marc Delisle  <lem9@users.sourceforge.net>
    * browse_foreigners.php: bug #1525393, no page selector in foreign key
      browse page

2006-07-19 Michal Čihař  <michal@cihar.com>
    * libraries/compat/var_export.php: Update to fixed version.

2006-07-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/german: updated, typos

2006-07-18 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Fix extension loading on HP-UX (bug #1524776),
      thanks to Francois Laupretre - flp1.

2006-07-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysql.dbi.lib.php:
      bug #1523623, BIGINT auto_increment and mysql extension

2006-07-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: Edit next row did not work in 2.9.0-dev

2006-07-13 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: put emphasis on server name

2006-07-12 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1519351, security alerts,
      thanks to Juergen Wind - windkiel

2006-07-09 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Readd accidentally removed quotes.

2006-07-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_printview.php, db_datadict.php:
      bug #1398748, print view and TIMESTAMP NULL

2006-07-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/select_server.lib.php, main.php, libraries/left_header.inc.php:
      move server selection in main to the 'right' (below 'phpMyAdmin')

2006-07-08 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * left.php, libraries/header_meta_style.inc.php, libraries/header.inc.php:
      fix to remove scrollbar bug in IE without quirks mode

2006-07-07 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_qbe.php: deactivated some work in progress

2006-07-06 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php, libraries/db_details_common.inc.php
      libraries/db_details_db_info.inc.php:
      bug #1518147, after displaying information_schema, displaying other
      dbs does not show size
    * libraries/auth/config.auth.lib.php: bug #1477402, if default server fails
      you cannot switch in config auth

2006-07-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/select_server.lib.php, css/phpmyadmin.css.php:
      make serverlist a real html-list
    * main.php: move server selection above server
      details (more logical)

2006-07-04 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, tbl_properties_operations.php,
      libraries/Table.class.php, libraries/export/sql.php,
      tbl_move_copy.php:
      a single-table copy did not copy the constraints;
      also bug #1388048, constraints copied too early when copying a db

2006-07-04 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * js\querywindow.js, libraries\footer.inc.php: renamed JavaScript function
      refreshLeft() to refreshNavigation()
    * libraries/Config.class.php: reload default configuration if config.inc.php
      is removed

2006-07-03 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * index.php, js\querywindow.js, querywindow.php, libraries\common.lib.php,
      libraries\footer.inc.php, libraries\sql_query_form.lib.php:
      bug #1477576 with rtl langs, navi links open in wrong frame

2006-07-02 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: undefined $table when copying a db

2006-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: escape also single quotes
    ### 2.8.2 released from QA_2_8

2006-06-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: remove debug code
    * libraries/common.lib.php: escape allowed parameters from non-token
      requests

2006-06-27 Michal Čihař  <michal@cihar.com>
    * libraries/import/csv.php: Fix special case of Excel export with ; at the
      end (bug #1511046).
    * scripts/setup.php, libraries/compat/var_export.php: Add var_export
      compatibility wrapper from PEAR PHP_Compat to make setup.php work on PHP
      4.1 (bug #1513007).
    * libraries/Config.class.php: Recalculate URL only if needed not all times
      when using https.
    * lang/slovak: Updated, thanks to Tomas Tatransky - droopytsf.
    * lang/czech: Translated missing strings.

2006-06-25 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/pdf.php, libraries/plugin_interface.lib.php, lang/*:
      bug #1504218: display an explanation for what is a PDF export
    * libraries/database_interface.lib.php: when a db directory has
      wrong permissions/ownership, information_shema does not work
      for all databases so we revert to SHOW TABLE STATUS

2006-06-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1501027, possible user/password
      disclosure when switching from http to https

2006-06-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, /export/sql.php, lang/*:
    export of procedures and functions. Note: this needs improvement
    because currently the DELIMITER for procedures is exported as a
    comment. Users could remove the comment marker and feed this
    to command-line mysql but it would be better to generate DELIMITER
    not as a comment and parse it while importing.

2006-06-21 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french: update
    * lang/slovak: update, thanks to Tomas Tatransky - droopytsf
    * lang/tatarish: update, thanks to Albert Fazlí
    * libraries/auth/http.auth.lib.php: bug #1504662, display server message

2006-06-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Table.class.php: a typo disabled table copy operation

2006-06-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php: bug #1449845 Nowrap in character sets
    * libraries/common.lib.php::PMA_linkOrButton():
      did not recognize hard coded & when ; is set as url separator in php
    * js/querywindow.js, libraries/common.lib.php,
      libraries/sql_query_form.lib.php: bug #1490556 Request-URI Too Large

2006-06-15 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sql_query_form.lib.php: Delimiter only if MySQL supports it

2006-06-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sql_query_form.lib.php, libraries/import/sql.php, lang/*:
      bug # 1469699, can't create a stored procedure
      Experimental, please test! I added a Delimiter field in the query form
      so user can specify his special delimiter;
      TODO: fix the display of the query which has a special delimiter
            because for now it's empty

2006-06-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug #1490569, search with LIKE on numeric fields
    * libraries/import.lib.php: support display of HANDLER statement results
    * libraries/header.inc.php, libraries/auth/http.auth.lib.php,
      /cookie.auth.lib.php, removed header_custom.inc.php:
      patch #1502453, unnecessary disk access,
      thanks to Juergen Wind (windkiel)
    * libraries/footer.inc.php, libraries/auth/http.auth.lib.php,
      /cookie.auth.lib.php, removed footer_custom.inc.php:
      applied the same optimization

2006-06-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/header.inc.php: bug #1501891, undefined PMA_isSuperuser() when
      the default server is 0

2006-06-06 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: various fixes, thanks to Cedric Corazza

2006-06-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: for auth_type='cookie', avoid
      showing the "cookies must be enabled" message if they are enabled
    * Documentation.html: requirements: web browser with cookies enabled
    * libraries/header.inc.php: show message about cookies also
      when auth_type = http or config

2006-05-31 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1498108, support twice the separator
      in db name, thanks to Sylvain Derosiaux

2006-05-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french*: updates
    * querywindow.php: $is_superuser was not defined
    * sql.php: bug #1490422, lost connection to MySQL server (SELECT DISTINCT)

2006-05-30 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix handling of backquotes (bug #1497239).
    * libraries/export/xml.php: Fix export to XML (bug #1497239).
    * libraries/plugin_interface.lib.php: Show that plugin has no option if it
      has only hidden inputs.
    * sql.php: Do not compare db if not defined.
    * server_binlog.php, server_processlist.php: No need to grab all results
      to memory.
    * libraries/export/htmlexcel.php: Fix extension (bug #1497239).
    * libraries/export/csv.php: Handle correctly AUTO (bug #1497239).
    * lang/*: Remove obsolete messages, add missing ones.
    * lang/czech: Updated.
    * libraries/session.inc.php: Remove unused code.
    * libraries/Table.class.php, libraries/select_lang.lib.php, lang/*: Add
      todo translations (bug #1436564).

2006-05-29 Michal Čihař  <michal@cihar.com>
    * lang/galician: Update, thanks to Xosé Calvo - xosecalvo.
    * lang/japanese: Update, thanks to Ishigaki Kenichi - tcool.
    * lang/norwegian: Update, thanks to Sven-Erik Andersen - sven-erik.
    * lang/italian: Update, thanks to Rebe - rebeluca.
    * lang/estonian: Update, thanks to Marko Ellermaa - uhuu.
    * lang/finnish: Update, thanks to Yoneh - yoneh.
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.
    * lang/czech: Update.

2006-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1496881, CVS link broken in main.php

2006-05-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1451426, edit breaks protected BLOB field,
      changes it from NULL to empty string

2006-05-23 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, tbl_replace.php: bug #1438999, updating a multi-table
      view

2006-05-21 Marc Delisle  <lem9@users.sourceforge.net>
    * import.php, lang/*: bug #1467804, replaced strNothingToImport
      by strNoDataReceived

2006-05-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.1 released from MAINT_2_8_1

2006-05-19 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: indicate on the Sum line that storage type and
      collation are the default values

2006-05-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/check_user_privileges.lib.php, /database_interface.lib.php, /db_details_links.inc.php,
      /server_common.inc.php, /header.inc.php: bug #1490193 and code simplification

2006-05-17 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: bug #1478812, Add user (password containing
      a backslash); also minor optimization

2006-05-15 Marc Delisle  <lem9@users.sourceforge.net>
   * libraries/Table.class.php: bug #1475949, removing the default value

2006-05-15 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Compatibility with security tokens (bug #1488453).
    * scripts/setup.php: Fix detection of writable config (bug #1488447).
    * css/phpmyadmin.css.php, libraries/auth/cookie.auth.lib.php,
      themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php: Not so wide login form (RFE
      #1445541).
    * import.php, export.php: Increase magic contstant to avoid problems with
      compression of some specific data (bug #1477029).

2006-05-14 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Fix reading database list with MySQL wildcards
      (bug #1487613).
    * changelog.php: There is no reason to make bug uppercase.

2006-05-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/import.lib.php: bug #1482841, support USE statement in the import file

2006-05-12 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.0.4 released from MAINT_2_8_0

2006-05-12 Michal Čihař  <michal@cihar.com>
    * libraries/footer.inc.php: Escape user input to avoid XSS.
    * libraries/common.lib.php, libraries/url_generating.lib.php: Better
      handle other URL separator than & (bug #1487365).

2006-05-06 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Describe better regullar expressions in hide_db
      (patch #1482049, thanks to Isaac Bennetch - ibennetch).

2006-05-05 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix UPDATE export with extended inserts
      enabled (bug #1482103), fix export type selection.
    * libraries/select_lang.lib.php: Use GET and POST explicitely as cookies
      can override values in REQUEST (bug #1481584).
    * lang/czech: Updated.

2006-05-03 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Document OpenDocument export and various fixes.

2006-05-02 Michal Čihař  <michal@cihar.com>
    * libraries/select_lang.lib.php, libraries/Theme_Manager.class.php: Escape
      user input (CVE-2006-2031).
    * server_databases.php: Fix path to image (needs to be lower case).
    * libraries/common.lib.php: Use htmlspecialchars instead of htmlentities,
      it doesn't break utf-8.

2006-04-28 Michal Čihař  <michal@cihar.com>
    * Documentation.html, main.php, libraries/config.default.php: Possibility
      to hide creating of database from main (RFE #1370100).
    * Documentation.html, main.php, libraries/left_header.inc.php:
      Customizable link under left logo (RFE #1111599).
    * libraries/export/htmlword.php: Fix including column names.
    * libraries/export/latex.php: Add missing crlf, remove unused code.
    * libraries/export/ods.php: Use correct charset.
    * libraries/export/odt.php, lang/*, libraries/config.default.php: Add Open
      Document Text export (RFE #1068007).
    * libraries/opendocument.lib.php: Add document metainformation.
    * libraries/opendocument.lib.php, libraries/export/ods.php,
      libraries/export/odt.php: Include styles.xml in Open Document, now it
      can be opened in KOffice, Gnumeric and OpenOffice.org.

2006-04-27 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_printview.php: fixed bug 'no tables found', refactored
    * tbl_change.php, tbl_indexes.php: removed table formating, done in css

2006-04-27 Michal Čihař  <michal@cihar.com>
    * Documentation.html, libraries/config.default.php,
      libraries/auth/cookie.auth.lib.php: Logout from all servers by default
      (RFE #1370874).
    * sql.php: Show results of REPLACE as affected as it contains both deleted
      and inserted rows count (bug #1475765).
    * libraries/common.lib.php: Better detection of duplicate rows (bug
      #1477500).
    * libraries/display_tbl.lib.php: Do not check for VIEW if no table name
      (eg. SELECT 1) (bug #1473484).
    * libraries/import/sql.php: Do not strip MySQL conditional statements in
      comments (patch #1459782, thanks to unconed - unconed).
    * Documentation.html: Various fixes in documentation, mostly grammmar
      (patch #1453198, thanks to Isaac Bennetch - ibennetch).
    * lang/*: Remove *font_family.
    * Documentation.html, import.php, querywindow.php, js/functions.js,
      libraries/header.inc.php, libraries/import.lib.php: Improve
      functionality of limiting DROP DATABASE (bug #1456082).
    * libraries/language.lib.php, libraries/common.lib.php,
      libraries/database_interface.lib.php, libraries/select_lang.lib.php:
      Reload language file after switch to utf-8 translation (bug #1442605).
    * tbl_properties_operations.php,
      libraries/tbl_properties_table_info.inc.php: Allow to set PACK_KEYS to
      DEFAULT (bug #1440966).

2006-04-26 Michal Čihař  <michal@cihar.com>
    * libraries/plugin_interface.lib.php:
        - Display information that there are no settings.
        - Be more verbose on error.
        - Drop tables used for layout.
        - Add support for groupping options.
        - Support for forcing one of two bool/bgroups.
        - Add documentation.
        - Support for localised texts in defaults.
    * css/phpmyadmin.css.php, themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php: New style for non table forms
      used in plugins.
    * libraries/config.default.php, libraries/display_export.lib.php,
      libraries/export/*: Convert export to plugin architecture, so that
      plugins are independant piece of code (RFE #1325937).
    * db_operations.php, tbl_properties_operations.php,
      libraries/Table.class.php: Adapt to changes in export.
    * export.php, libraries/export/*: Use plugins for extension and MIME type.
    * libraries/export/ods.php, libraries/opendocument.lib.php,
      libraries/config.default.php, lang/*: Export to OASIS OpenDocument
      Spreadsheet (RFE #1068007).
    * lang/czech: Update.
    * export.php, libraries/plugin_interface.lib.php, libraries/export/*:
      Allow forcing of export to file, it makes no sense to display PDF in
      textarea ;-).
    * libraries/display_export.lib.php: Reinclude table selection (bug
      #1477226).
    * libraries/auth/cookie.auth.lib.php: Remove unused function.
    * libraries/auth/cookie.auth.lib.php, Documentation.html,
      libraries/config.default.php: Allow configuration of cookie storage on
      client (RFE #1095227).
    * server_privileges.php, lang/*: Create database for newly created user
      (RFE #479640).

2006-04-26 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*:
      updated themes;
      fixed bug #1452131 Fonts too large;
      fixed bug #1446211 Colors hardcoded in theme css files;
    * libraries/Theme_Manager.class.php: search themes on every script start
    * libraries/Theme_Manager.class.php, libraries/Theme.class.php:
      use fallback (original) css file if not found in current theme
      (no need to include unchanged files into theme, f. e. print.css)

2006-04-25 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Make cookie login form work with token
      protection.
    * libraries/auth/cookie.auth.lib.php: Do not include empty values.
    * changelog.php: Generate proper XHTML, make URLs clickable.

2006-04-25 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_qbe.php, db_printview.php, libraries/display_tbl.lib.php,
      css/phpmyadmin.css.php, js/functions.js, pdf_pages.php, pdf_schema.php,
      server_binlog.php, server_variables.php, tbl_change.php,
      transformation_overview.php: style upgrade
    * changelog.php: replaced php short open tag

2006-04-24 Michal Čihař  <michal@cihar.com>
    * main.php: Fix logout link (bug #1474694).

2006-04-21 Michal Čihař  <michal@cihar.com>
    * libraries/import/csv.php: Fix importing files without trailing new line
      (bug #1473944).
    * Documentation.html: Document problems with PMA_blowfish on clusters of
      different architectures (bug #1470912).
    * Documentation.html: Document LoginCookieValidity (bug #1473357).

2006-04-20 Michal Čihař  <michal@cihar.com>
    * index.php: Check target against goto_whitelist.
    * libraries/url_generating.lib.php, libraries/session.inc.php,
      libraries/common.lib.php: Protect against external links which could
      perform any action (CVE-2006-1804).
    * changelog.php: Link to CAN/CVE security issues, highlight releases, fix
      email links, link releases to tags in CVS.

2006-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * server_databases.php: need brackets for correct calculation of page

2006-04-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_databases.php, libraries/database_interface.lib.php:
      disable table stats for MySQL 5 by default
    * server_databases.php:
      use new functionality of PMA_DBI_get_databases_full() to limit display
    * libraries/database_interface.lib.php:
       - extended PMA_DBI_get_databases_full() to allow limiting and sorting
       - added new function PMA_DBI_get_databases_count()
    * libraries/config.default.php:
      added new paramter to limit maximum displayed databases
    * sql.php:
       - fixed bug #1469469 cyclic redirect with sql.php as default table-page
       - re-use already existing code
    * changelog.php:
      link also js, html, pl, and sh files, FAQ entries
      and contributors to their sf.net user page, smaller regex fixes

2006-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1443004 part 2: export views after the tables

2006-04-12 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1443004 part 1: do not generate INSERT statements
      for an exported VIEW

2006-04-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css/phpmyadmin.css.php:
      fixed bug #1446017 red border in outdated themes
    * libraries/common.lib.php:
       - added option to PMA_arrayWalkRecursive() to use function also on keys
       - un-magic_quotes_gpc also keys in GPC arrays
    * libraries/db_table_exists.lib.php:
      cleanup - what a mess; fixed several undefined variables
    * tbl_printview.php:
      fixed undefined variable by including libraries/tbl_properties_common.php
    * changelog.php:
      link users, files, bugs, rfes and patches
    * libraries/footer.inc.php:
      fixed bug #1454874 Javascript error in new (not framed) print window
    * css/phpmyadmin.css.php, scripts/setup.php, test/theme.php
      themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php:
      fixed bug #1444466 theme directory not being processed correctly
    * libraries/common.lib.php, libraries/Theme_Manager.class.php:
      fixed bug #1469174 configuration changes not accepted in theme manager
    * libraries/Theme_Manager.class.php:
      fixed bug #1469120 missing property in Theme_Manager class
    * libraries/common.lib.php:
      fixed bug #1469109 PMA_backquote() issues

2006-04-11 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: clarification about config.default.php

2006-04-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * tbl_relation.php:
      fixed bug #1459418 Add foreign key fail on column with ' in name
    * index.php, libraries/auth/cookie.auth.lib.php,
      libraries/auth/http.auth.lib.php, libraries/common.lib.php,
      libraries/footer.inc.php, libraries/fpdf/fpdf.php,
      libraries/grab_globals.lib.php, libraries/header.inc.php,
      libraries/ip_allow_deny.lib.php, libraries/select_lang.lib.php,
      libraries/Config.class.php:
      use PMA_getenv()
    * libraries/Config.class.php:
      fixed not initilized variable in getCookiePath();
    * libraries/common.lib.php:
      added PMA_getenv() as a wrapper to $_SERVER, $_ENV, getenv() and apache_getenv()

2006-04-11 Michal Čihař  <michal@cihar.com>
    * lang/galician: Fix missing ; (bug #1468439).
    * libraries/Config.class.php: Fix parsing of paths containing : (patch
      #1461766).

2006-04-10 Michal Čihař  <michal@cihar.com>
    * libraries/Config.class.php: Check also default config mtime (bug
      #1467620).
    * libraries/Config.class.php: Better check for server system (patch
      #1462738).
    * libraries/import/csv.php: Fix parsing of large CSV files (bug #1456331).

2006-04-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_replace.php, libraries/dbi/mysqli.dbi.lib.php: bug #1255923,
      detect and report silent truncation (mysqli only)

2006-04-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_import.lib.php, lang/*: bug #1449793,
      respect file_uploads = Off

2006-04-07 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Parse correctly new version numbers.

2006-04-06 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.0.3 released from branch MAINT_2_8_0
    * themes/*/css/theme_left.css.php, /theme_right.css.php:
      protection from unplanned execution path

2006-03-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Table_class.php, /sqlparser.lib.php: bug #1458245,
      copy a db containing a VIEW

2006-03-26 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #1448890 Column expander doesn't work
    * libraries/tbl_properties.inc.php: bug #1458334, undefined offset
    * libraries/sqlparser.data.php: bug #1455373, CONVERT in reserved words

2006-03-25 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, libraries/Table.class.php,
      libraries/display_export.lib.php libraries/export/sql.php:
      bug #1401864, DROP VIEW instead of DROP TABLE

2006-03-23 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, tbl_properties_operations.php,
      libraries/display_export.lib.php, lang/*: start work for bug #1401864,
      generation of DROP VIEW statements WHERE appropriate

2006-03-23 Michal Čihař  <michal@cihar.com>
    * libraries/import/sql.php: Fix handling of -- (bug #1453430).

2006-03-23 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates, sync'ed some technical terms with the
      German MySQL manual.

2006-03-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1444417 blobs are centered
    * libraries/common.lib.php: patch #1455286, catch 'permission denied'
      error on SHOW DATABASES, thanks to Bernard Dautrevaux - b-dautrevaux

2006-03-22 Alexander M. Turek  <me@derrabus.de>
    * lang/spanish-*.inc.php: Updates, thanks to Daniel Hinostroza.
    * lang/galician-*.inc.php: Updates, thanks to Xosé Calvo.

2006-03-21 Alexander M. Turek  <me@derrabus.de>
    * libraries/german-*.inc.php:
      - Reviewed recently translated strings;
      - updated some untranslated messages.

2006-03-21 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php:  bug #1427707 Priv->user->pass radio buttons
      unselectable: Sebastian's fix was not in HEAD
    * libraries/Table.class.php: bug #1439002, drop basetable of a view gives
      error on overview Table.class.php

2006-03-20 Alexander M. Turek  <me@derrabus.de>
    * Documentation.html: Added a note about Connector/PHP to FAQ 1.17.

2006-03-19 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug #1445853, overhead should use the
      same display units
    * lang/english*, /french*: use IEC binary units; use "B" for Bytes
      and "o" for "Octets" in French
    * db_details_importdocsql.php: bug #1444025, dead code about DOCUMENT_ROOT

2006-03-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: if $cfg['Servers'][$i]['nopassword']
      is not defined (using an older config.inc.php), an error is displayed
      when login fails

2006-03-17 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Allow empty socket (bug #1452142).

2006-03-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: undefined variable when a BLOB is NULL
    * libraries/Theme_Manager.class.php: XSS vulnerability
    * libraries/common.lib.php: bug #1392554, turn off
       zend.ze1_compatibility_mode due to mysqli problems
    ### 2.8.0.2 released from branch MAINT_2_8_0

2006-03-16 Michal Čihař  <michal@cihar.com>
    * libraries/select_server.lib.php: Move end of fieldset to correct place
      after button (patch #1450559).
    * libraries/plugin_interface.lib.php: Add support for hidden inputs.
    * libraries/common.lib.php: Do not forget wrongly configured servers,
      otherwise user gets warning only on first access (RFE #1451521).
    * libraries/auth/config.auth.lib.php: Show possible error messages.
    * show_config_errors.php, libraries/common.lib.php: Add wrapper to show
      config errors even with no error reporting (RFE #1447173).
    * scripts/create-release.sh: Use w3m instead of lynx (bug #1451635).

2006-03-15 Michal Čihař  <michal@cihar.com>
    * libraries/export/htmlexcel.php: Fix output handling (bug #1450555).

2006-03-14 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update, use binary prefixes.
    * lang/english: Nothing to translate here.
    * scripts/setup.php: Fix config loading (bug #1449821).

2006-03-14 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Use correct binary prefixes for byte units.

2006-03-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1449715, loading of binary data very slow
    * server_privileges.php: compatibility with MySQL < 4.0.2
    * server_databases.php: bug #1445991, compatibility with MySQL 3.23.52

2006-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php, /common.lib.php: bug #1445120,
      cookie login not working on IIS

2006-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: reactivate in-line image display
    * transformation_wrapper.php: bug #1444121, octetstream download fails
      on versions of PHP accepting only one line per header,
      thanks to Ryan Schmidt

2006-03-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, tbl_create.php,
      tbl_properties_operations.php: bug #1444892, TYPE deprecated in
      MySQL 5.1
    ### 2.8.0.1 released from branch MAINT_2_8_0

2006-03-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1444867, does not load config.inc.php
      under PHP < 4.3.0, thanks to Julian Ladisch - julianladisch

2006-03-06 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1443337, homepage link
    ### 2.8.0 released from branch MAINT_2_8_0

2006-03-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Config.class.php, libraries/select_lang.lib.php,
      libraries/footer.inc.php, libraries/ip_allow_deny.lib.php,
      libraries/common.lib.php, libraries/header.inc.php,
      libraries/grab_globals.lib.php, libraries/auth/cookie.auth.lib.php,
      libraries/auth/http.auth.lib.php, libraries/fpdf/fdpf.php, index.php:
      replaced $_SERVER and $_ENV with getenv()
      PMA should now work without registered $_ENV and $_SERVER variables

2006-03-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.
    * import.php, libraries/common.lib.php: bug #1413880, page status not
      preserved on Refresh
    * lang/chinese_traditional: Updates, thanks to Siu Sun.

2006-03-03 Michal Čihař  <michal@cihar.com>
    * libraries/Theme_Manager.class.php: Fix include path (bug #1442008).

2006-03-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php and removed .htaccess:
      bug #1411996: now we destroy an auto-started session
    ### 2.8.0-rc2 released from MAINT_2_8_0 branch

2006-03-02 Michal Čihař  <michal@cihar.com>
    * libraries/display_tbl.lib.php: Fix parameter to transformation (bug
      #1440926).
    * libraries/transformations/application_octetstream__hex.inc.php, lang/*:
      Allow to configure how often space is added (RFE #1440384).

2006-02-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: bug #1437754, search combos default to
      key zero
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.

2006-02-23 Michal Čihař  <michal@cihar.com>
    * libraries/config.default.php, libraries/header.inc.php,
      Documentation.html: More replacements for page title (RFE #1408241).
    * contrib/packaging/Fedora/phpMyAdmin.spec: Update.

2006-02-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1418769 part 1: stat failed for
      ./config.inc.php (under PHP 4)
    * sql.php: bug #1437499, LIMIT clause when query ends with semicolon

2006-02-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1435303, error on empty BLOB transf.
    * .htaccess: added a reference to FAQ 1.36

2006-02-22 Michal Čihař  <michal@cihar.com>
    * libraries/iconv_wrapper.lib.php, libraries/charset_conversion.lib.php:
      Fixes for AIX wrapper, thanks to Björn Wiberg - bwiberg.
    * libraries/database_interface.lib.php: New function for getting available
      SQL compatibility modes.
    * libraries/plugin_interface.lib.php: Add support for select options and
      documentation.
    * libraries/display_export.lib.php: Use new function for SQL compatibility
      modes.
    * libraries/import/sql.php, lang/*, libraries/config.default.php:
      Possibility to select SQL compatibility on import (RFE #1386132).
    * main.php, lang/*: Better message for reloading privileges (RFE
      #1420556).
    * Documentation.html, libraries/config.default.php,
      libraries/header.inc.php: Customizable window title (RFE #1408241).
    * main.php, libraries/server_links.inc.php, lang/*: Same title for
      processes link (RFE #1350356).
    * lang/*: Remove unused strTableType, resorted, added missing strings to
      various translations (timespanfmt was most often missing).
    * lang/czech: Update.
    * sql.php, libraries/display_tbl.lib.php, lang/*: Better message for query
      export, move operation above query results into one fieldset (bug
      #1431420).
    * tbl_properties_operations.php: Enable optimize for InnoDB (bug
      #1415975).
    * contrib/packaging/Fedora: Add spec file for Fedora (patch #1388224,
      thanks to Patrick MONNERAT - monnerat).
    * Documentation.html, libraries/config.default.php,
      libraries/dbi/mysql.dbi.lib.php, libraries/dbi/mysqli.dbi.lib.php: Allow
      to use external authentication and use empty MySQL passwords (path
      #1388210, thanks to Patrick MONNERAT - monnerat).
    * .cvsignore: Do not ignore .htaccess.

2006-02-22 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/footer.inc.php:
      bug #1436279 Left frame links open in new windows in Safari
    * libraries/footer.inc.php, themes/*/img/window-new.png *NEW*:
      added icon for new window
    * libraries/dbi/mysqli.dbi.lib.php: workaround for http://bugs.php.net/36007
    * libraries/database_interface.lib.php PMA_DBI_get_tables_full(), left.php:
      added workaround for bug #1436171 Cannot display Capitalised Databases
    * js/querywindow.js: fixed 'mad' db slector

2006-02-21 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php:
        - Various bug fixes (bug #1435700, bug #1435806, undefined indexes).
        - XHTML fixes (patch #1435772, thanks to Matt LaPlante - cyberdog3k).
    * libraries/export/sql.php: New line before values (RFE #1435919).
    * libraries/Config.class.php: Trim spaces from config file to avoid
      unwanted outpu (patch #1431566, thanks to Piotr_Skowronek -
      piotr_skowronek).
    * libraries/iconv_wrapper.lib.php, libraries/charset_conversion.lib.php,
      libraries/database_interface.lib.php: Compatibility with iconv charset
      names on AIX (patch #1420704, thanks to Björn Wiberg - bwiberg).
    * libraries/import.lib.php: Skip byte order marks (bug #1423362).

2006-02-21 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php PMA_getUvaCondition():
      do not test for isset but strlen on orgname of table
    * libraries/Table.class.php: *NEW* class PMA_Table
    * tbl_addfield.php, tbl_create.php:
      use Table.class.php
    * db_details_qbe.php, db_details_structure.php, tbl_alter.php, sql.php,
      libraries/common.lib.php, libraries/tbl_properties_table_info.inc.php,
      libraries/display_export.lib.php, libraries/display_tbl.lib.php,
      libraries/get_foreign.lib.php, libraries/relation.lib.php:
      moved PMA_generateFieldSpec(), PMA_tableIsView(), PMA_countRecords(),
      PMA_generateAlterTable() into class PMA_Table
    * db_operations.php, tbl_move_copy.php, tbl_properties_operations.php,
      libraries/Table.class.php, libraries/tbl_move_copy.php:
      merged libraries/tbl_move_copy.php in class PMA_Table
    * libraries/Table.class.php:
      minor fixes and improvements, formating, documentation
    * libraries/relation.lib.php:
      check if $cfg['Server']['pmadb'] really exists and is selectable,
      minor tweaks and formating
    * libraries/common.lib.php PMA_getUvaCondition():
      fixed bug #1436058 Notices while browsing table
    * tbl_properties_operations.php, libraries/Table.class.php:
      make use of PMA_Table object for renaming tables
      (added also some required functionality to PMA_Table class)

2006-02-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.8.0-rc1 released from QA_2_8 branch

2006-02-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php:
      - fixed undefined MYSQLI_BINARY_FLAG constant
      - documentation
    * server_status.php:
      - RFE #1434196 More significant digits in /status
      - replaced number_format() with PMA_formatNumber()
      - coding standards
    * js/querywindow.js, css/phpmyadmin.css.php:
      - RFE #1433382 visulal feat. request for left bar
    * sql.php:
      - fixed bug #1431422 Safari: Print view prints blank page

2006-02-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: re-establish previous error reporting mode
    * sql.php: bug #1434576, undefined variable $db
    * libraries/storage_engines.lib.php: bug #1434578, missing argument
      for __construct()
    * Documentation.html: bug #1433633, document consequences of having
      a .htaccess file, thanks to Isaac Bennetch

2006-02-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php PMA_getUvaCondition():
       - fixed missing $analyzed_sql (partly bug #1431615)
       - added table names to column names (partly bug #1431615)
       - simplified search for alias
    * libraries/dbi/mysqli.dbi.lib.php:
      - make use of MYSQLI_* constants
      - added column types newdecimal and bit

2006-02-18 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1415465, undefined $sql_query
    * libraries/common.lib.php: bug #1377215, errors with E_STRICT

2006-02-18 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php:
      fixed bug #1433882 html special chars not escaped in query in querybox

2006-02-17 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*, db_details_structure.php:
      bug #1431352, no %d in strViewMaxExactCount
    * db_details_structure.php: bug #1431340, rowcount for views and
      unneeded $strViewMaxExactCount
    * libraries/common.lib.php: array to string conversion
    * libraries/display_tbl.lib.php: bug #1396998, added $strViewMaxExactCount
      when browsing

2006-02-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * docs.css, Documentation.html, translators.html:
      - XHTML 1.1, more semantic, formating
      - added glossar
      - linked all references
    * libraries/common.lib.php:
      - fixed bug #1432626 'bad url error after select "(Databases)..."'
    * libraries/select_server.lib.php:
      - fixed pre-select for current server (fixed type missmatch)
      - do not autosubmit on '(Server) ...'
    * css/print.css: fixed bug #1419696 'print css results in blank table output'
    * tbl_printview.php, css/print.css, themes/*/css/theme_print.css.php:
      fixed/cleaned printer output
    * libraries/footer.inc.php: do not print selflink

2006-02-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/italian: update, thanks to Luca Rebellato
    * lang/german: remove duplicates
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat
    * lang/finnish: update, thanks to Jouni Kahkonen

2006-02-15 Marc Delisle  <lem9@users.sourceforge.net>
    * bug #1406378, default value and auto_increment, thanks to Nuvo - nyvsld

2006-02-14 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: XHTML error, thanks to Cédric Corazza
    * Documentation.html: remove experimental status for MySQL 4.1 support

2006-02-14 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.

2006-02-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_structure.php, tbl_properties_structure.php:
      - fixed bug #1420474 'Consistency (order of truncate/drop)'
      - some PEAR coding standard

2006-02-13 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1425522, warning when calling
      a stored procedure, thanks to JTC - jcqns

2006-02-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
      - fixed bug #1416848 'Insert new row from Browse page'
    * libraries/common.lib.php:
      - fixed bug #1409893 - links in navigation frame opens new window
    * libraries/select_server.lib.php:
      - fixed bug #1425688 'Server Select quirk'
      - valid XHTML 1.0
      - code readability
    * server_privileges.php:
      - fixed bug #1427707 Priv->user->pass radio buttons unselectable

2006-02-12 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/english and hebrew: bug #1429769, typo
    * tbl_change.php, tbl_replace.php: bug #1429074, "go back to this page"
      choice should be sticky

2006-02-10 Marc Delisle  <lem9@users.sourceforge.net>
    * .htaccess added to main directory for bug #1411996; at least on
      servers supporting .htaccess we can run even if session.auto_start
      is enabled
    * lang/belarusian updates, thanks to Jaska Zedlik
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2006-02-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libararies/session.inc.php:
      stop execution and ommit warning on session.auto_start enabled

2006-02-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mult_submit.inc.php: bug #1404565, left frame refresh on
      db drop from Databases link in main page

2006-02-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: leave the possibility of having a
      backslash in the path on non-Windows system, thanks to Michal;
      and bug #1418769, part 2: missing argument (PHP 4 constructor)

2006-02-06 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Fix typos (bug #1424923).

2006-02-05 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/mult_submits.inc.php, server_databases.php: array to string
      conversion (sorry to late :-( ), use of $_REQUEST
    * sql.php: fixed some 'not refreshing left frame'
    * import.php: refresh left frame also on multiqueries and bookmarks
    * libraries/common.lib.php:
       - fixed bug #1416848 'Insert new row from Browse page'
       - PMA_checkPageValidity() [bug #1416848]
       - added PMA_getIcon()
       - PMA_getDbLink(): unescape names
    * scripts/setup.php:
      fixed bug #1424274 'Found a problem in the setup script'
      (ShowPHPInfo -> ShowPhpInfo)

2006-02-04 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/Config.class.php: bug #1409770 auto-detection and dirname on
      Windows, thanks to Alex - nixniemand
    * libraries/mult_submits.inc.php, server_databases.php: array to string
      conversion
    * tbl_properties_operations.php, tbl_properties.php, tbl_import.php,
      tbl_change.php: bug #1415465, undefined $sql_query

2006-01-31 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: bug #1412058, damaged table reporting
    * import.php: bug #1418382, CSV import does not work

2006-01-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1418145, missing global,
          thanks to Bananeweizen

2006-01-29 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian updates, thanks to Marko Ellermaa - uhuu
    * lang/polish: updates, thanks to Jakub Wilk - ubanus
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * lang/italian: update, thanks to Luca Rebellato
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * db_details_structure.php: bug #1396998, notice for view row count
      in table list
    * libraries/session.inc.php: bug #1414628, session.save_handler might
      be set to something different than "files". Thanks to Nicola Asuni
    ### 2.8.0-beta1 released

2006-01-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1396998, avoid displaying exact row
    count for views, work in progress

2006-01-26 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translation update.

2006-01-25 Marc Delisle  <lem9@users.sourceforge.net>
   * db_details_qbe.php: use PMA_countRecords() when possible, to be able
     to centralise into it the VIEW detection logic
   * sql.php: affected rows are returned in case of DELETE with no WHERE
     clause, at least since MySQL 4.0.x, so no need to pre-count

2006-01-25 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_status.php:
      fixed bug: high ascii char in preg_match
    * lang/german-*: update

2006-01-24 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: strViewMaxExactCount for the VIEW row count detection
      I'm working on...

2006-01-23 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translation update.

2006-01-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1410787, incorrect merging of parameters
      contained in an array

2006-01-21 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * tbl_printview.php: typo

2006-01-20 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1410078, error exporting query ending with semicolon,
      thanks to Ryan Schmidt

2006-01-19 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: already defined constant
    * libraries/display_create_table.lib.php: bug #1376314, I remove
      the check to detect the privilege to create a table (see comments
      in the code)

2006-01-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * pdf_schema.php, db_details_qbe.php, libraries/display_tbl.lib.php,
      libraries/export/htmlword.php, libraries/export/latex.php,
      libraries/import.lib.php, libraries/ip_allow_deny.lib.php,
      libraries/transformations.lib.php,
      libraries/transformations/text_plain__external.inc.php:
      fixed bug #1409972 PHP 5.1.2 compatibility
    * libraries/url_generating.lib.php:
      fixed bug: undefined index server ($GLOBALS['server'])

2006-01-18 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Add info about Apache CGI and http auth (patch
      #1375495).

2006-01-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php:
      fixed bug: undefined index with empty database in db structure view
    * libraries/display_import.lib.php:
      fixed bug: display issues with Opera (and Safari?)
    * libraries/plugin_interface.lib.php:
      - fixed bug: display issues with Opera (and Safari?)
      - added source documentation
      - PEAR coding standard
      - clarified some variable names
    * db_sarch.php:
      fixed bug: Undefined variable: num_tables
    * [really much files]: (not complete) PEAR coding standard

2006-01-16 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: typo
    * libraries/check_user_privileges.lib.php: bug #1406499,
      a username containing an hyphen could not create a db under
      MySQL 4.0.x, thanks to "timeout-"
    * libraries/common.lib.php: bug #1405956, uninitialized variable $link,
      thanks to Sebastian Mendel

2006-01-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php: undefined js variable
    * libraries/database_interface.lib.php: PMA_DBI_get_tables_full() first parameter
      now also accepts an array of database names not only a single name
    * libraries/common.lib.php: PMA_getTableList():
      added second parameter to pass tables (if already fetched from db)
    * left.php: make use of new functionality in PMA_getTableList() and
      PMA_DBI_get_tables_full(): reduce db server traffic (MySQL >=5.0)
    * libraries/common.lib.php:
      removed aditional check for table row count for left frame tree
      (bug #1397061 Left frame not loaded correct on MySQL error)
    * libraries/common.lib.php, left.php:
      bug #1392924 undefined index: tab_count
    * libraries/display_export.lib.php, css/phpmyadmin.css.php,
      themes/*/css/theme_right.css.php:
      'fixed' layout of export screen for buggy safari and opera
    * db_operations.php, export.php, index.php, left.php,
      libraries/auth/cookie.auth.lib.php, libraries/common.lib.php,
      libraries/db_details_common.inc.php, libraries/db_table_exists.lib.php,
      libraries/display_export.lib.php, libraries/display_tbl.lib.php,
      libraries/export/sql.php, libraries/footer.inc.php,
      libraries/header.inc.php, libraries/left_header.inc.php,
      libraries/mult_submits.inc.php, libraries/mysql_charsets.lib.php,
      libraries/relation.lib.php, libraries/server_common.inc.php,
      libraries/sql_query_form.lib.php, libraries/sqlparser.lib.php,
      libraries/tbl_indexes.lib.php, libraries/tbl_move_copy.php,
      libraries/url_generating.lib.php, querywindow.php, scripts/setup.php,
      server_databases.php, server_privileges.php, server_processlist.php,
      sql.php, tbl_addfield.php, tbl_alter.php, tbl_change.php, tbl_create.php,
      tbl_indexes.php, tbl_replace.php:
      allow 0 as name for database, table collumn, alias and index

2006-01-12 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: typo, thanks to Cédric Corazza
    * libraries/common.lib.php: remove high-ascii characters, and an
      assignment syntax that does not work on PHP 5.1.2
    * libraries/database_interface.lib.php: PHP 5.1.2 compatibility

2006-01-11 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/sqlparser.lib.php: other fixes for bug #1394479

2006-01-11 Michal Čihař  <michal@cihar.com>
    * main.php: Do not fail if no server is defined.
    * main.php, libraries/left_header.inc.php,
      libraries/select_server.lib.php: Show server selection if no server set
      and we have one server configuration (bug #1399880).
    * libraries/import/sql.php: Fix hang on unclosed quoted string (bug
      #1402270).

2006-01-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1394479, problem detecting ending
      semi-colon, generates a SHOW KEYS FROM no table name

2006-01-09 Michal Čihař  <michal@cihar.com>
    * import.php: Work on 10MB chunks if no memory limit is set (bug
      #1399477).

2006-01-07 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: bug #1395590 Safari Bookmark query fieldset float problem,
      thanks to Ryan Schmidt
    * libraries/common.lib.php: bug #1397749, Safari: space before
      PMA_linkOrButton link is part of the link, thanks to Ryan Schmidt
    * server_privileges.php: bug #1398018, Safari fieldset float issue in
      privileges screens, thanks to Ryan Schmidt
    * libraries/Config.class.php: bug #1398931, incorrect detection of
      PmaAbsoluteUri in vhost situations, thanks to Ryan Schmidt

2006-01-06 Marc Delisle  <lem9@users.sourceforge.net>
    * db_datadict.php, pdf_schema.php: bug #1389165, data dict shows all
      columns as Null Yes
    * pdf_schema.php: display PDF schema did not work (missing dot)

2006-01-04 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: since we use DROP USER, some options to
      remove a user did not work under MySQL 4.1.x (only mode 2 worked),
      so I remove them from the dialog. Thanks to Ken Stanley for
      the bug report.
    * server_status.php: patch #1395031, not proper URL encoding,
      adapted from proposed solution by Matt LaPlante, thanks

2006-01-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_create_table.lib.php: bug #1389868,
      Safari's rendering of "Create table" fieldset, thanks to Ryan Schmidt

2006-01-01 Michal Čihař  <michal@cihar.com>
    * libraries/Config.class.php: Do not check permissions on Windows, it
      seems to be broken anyway.

2006-01-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/transformations.lib.php: remove some PHP3 compatibility code

2005-12-31 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1388167, deleting a row in a table
      without a primary key, handle correctly is_js_confirmed

2005-12-30 Marc Delisle  <lem9@users.sourceforge.net>
    * server_databases.php: bug #1388135, IE and dropping databases
    * librairies/mult_submits.inc.php: strong warning for DROP DATABASE
    * tbl_printview.php: bug #1389165, Print view shows all columns as Null Yes
      (MySQL 5.x)
    * libraries/Config.class.php: patch #1392181, typo,
      thanks to Luis Mirabal - normannormal

2005-12-27 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, libraries/check_user_privileges.lib.php:
      - reenable a non-privileged user to change his password
      - display the Reload MySQL link only if user has proper rights
    * Documentation.html: bug #1389582, unclosed code tag,
      thanks to Isaac Bennetch

2005-12-25 Michal Čihař  <michal@cihar.com>
    * libraries/import.lib.php, libraries/import/sql.php: Handle correctly
      dumps with commented out commands (eg. from mysqldump).

2005-12-22 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, libraries/common.lib.php: bug #1381856,
      Cannot edit a table having 40 columns
    * libraries/common.lib.php: bug #1388116, cannot pass TRUE by reference
      to PMA_setCookie, thanks to Isaac Bennetch
    * libraries/tbl_replace_fields.inc.php: recent fix introduced a bug:
      cannot change a value for a nullable field

2005-12-21 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat
    * lang/hungarian update, thanks to Mihály Mészáros <necronix@freemail.hu>
    * tbl_properties_operations.php, libraries/tbl_properties.inc.php:
      bug #1349262, mismatch between PMA and MySQL about Storage Engine
      and table type
    * server_status.php, lang/*: bug #1348249, add a warning hint about
      the possibility of some counters being overrun (stats from MySQL server)

2005-12-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: does not return to correct page after
      the creation of a bookmark
    * libraries/display_create_table.lib.php: bug #1376314, detection of
      privileges to create a table (fix for MySQL 4.0.x case)
    * tbl_change.php, tbl_replace.php, libraries/tbl_replace_fields.inc.php:
      bug #1385974, cannot un-null a value

2005-12-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_importdocsql.php, db_operations.php,
      libraries/relation.lib.php, libraries/relation_cleanup.lib.php
      libraries/tbl_move_copy.php, libraries/transformations.lib.php
      pdf_pages.php, pdf_schema.php, tbl_alter.php, tbl_relation.php:
      added database name to relation querys

2005-12-17 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/url_generating.lib.php: problem with accented table names

2005-12-16 Michal Čihař  <michal@cihar.com>
    * Documentation.html, libraries/common.lib.php,
      libraries/config.default.php, libraries/database_interface.lib.php: Add
      support for hiding databases (RFE #1372865).
    * Documentation.html, export.php, import.php,
      libraries/config.default.php: Configurable memory limit (RFE #1373904).

2005-12-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Config.class.php:
      - added check is_readable for user config file
      - check config file also on wakeup (bug #1376522)
    * libraries/Config.class.php, libraries/common.lib.php:
      fixed handling of https and $cfg['ForceSSL'] (bug #1379491)
    * left.php, js/function.js: fixed undeclared javascript variables
    * js/keyhandler.js: fixed wrong spellt 'aplewebkit' (bug #1379034)

2005-12-14 Michal Čihař  <michal@cihar.com>
    * libraries/config.default.php, Documentation.html: Transliterate invalid
      chars by default (RFE #1380255).
    * left.php: Resurrect database link in light frame (bug #1373804).
    * index.php, js/querywindow.js: Move navigation frame to right for rtl
      languages.

2005-12-13 Michal Čihař  <michal@cihar.com>
    * querywindow.php: Fix query history displaying (bug #1374639).

2005-12-12 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php: Use same format of version file as in upgrade.pl.

2005-12-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.inc.php, libraries/grab_globals.inc.php:
      preprare removal of grab_globals:
       - moved stuff from grab_globals into common.inc.php
       - check/init global required variables like: $lang, $server, $db, $table,
         $convcharset, $goto, $back, $sql_query
       - introduced $goto-whitelist
       - PEAR coding standard
    * libraries/common.inc.php, libraries/auth/cookie.auth.lib.php,
      libraries/auth/http.auth.lib.php, libraries/grab_globals.lib.php,
      libraries/relation.lib.php, scripts/setup.php:
       - check magic_quotes only once in common.inc.php
    * css/phpmyadmin.css.php, tbl_properties_operations.php: styled table operations dialog
    * db_search.php: revised
    * libraries/common.inc.php: fixed high ascii char

2005-12-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/tbl_properties_links.inc.php: bug #1375752,
      wrong page after insert (losing many URL parameters)

2005-12-11 Michal Čihař  <michal@cihar.com>
    * scripts/create-release.sh, scripts/upgrade.pl: Use same URL for updating
      as for setup.php, this one is autogenerated so there is no need for more
      manual steps.
    * browse_foreigners.php, left.php, libraries/header_meta_style.inc.php:
      Drop <base href=".." />, it should not be needed at all.
    * lang/czech: Update.

2005-12-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php::PMA_DBI_get_columns_full():
      - forgot debug code
      - correct result for non MySQL 5

2005-12-10 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, lang/*: new $strBrowseDistinctValues
    * Documentation.html: anchors and formatting cleanup,
      thanks to Cédric Corazza
    * libraries/relation.lib.php: bug #1370785, error browsing a table under
      PHP 4 when no controluser is defined but a pmadb is defined

2005-12-09 Michal Čihař  <michal@cihar.com>
    * libraries/auth/http.auth.lib.php: Simplify code, use getenv, support for
      CGI (inspired by patch #1375495).
    * Documentation.html: Clarify http auth description.
    * scripts/setup.php: Show available version information even when using
      CVS version.
    * libraries/dbi/mysql.dbi.lib.php: This is mysql extension.

2005-12-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/dbi:
      PMA_DBI_free_result() now accepts more than one resource to be freed
    * libraries/database_interface.lib.php:
      - some comments, PEAR coding standard
      - PMA_DBI_get_tables(), PMA_DBI_get_fields(): use PMA_DBI_fetch_result();
      - added PMA_DBI_get_columns_full()
      - PMA_DBI_fetch_result() now accepts an array as $key parameter
        for multidimensional arrays (returns: $result[key1][key2][key3] = $row)
      - PMA_DBI_get_variable(): use PMA_DBI_fetch_value()

2005-12-08 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/setup.php: Typos
    * libraries/common.lib.php: unneeded parameter in PMA_safe_db_list()

2005-12-08 Michal Čihař  <michal@cihar.com>
    * tbl_change.php: Fix XHTML and thus action selection behavior (bug
      #1376391).
    * lang/czech: Fix typo.
    * tbl_select.php, libraries/display_tbl.lib.php,
      tbl_properties_operations.php, tbl_indexes.php, db_operations.php,
      server_privileges.php, server_binlog.php: Fix XHTML.
    * tbl_properties_export.php: Fix output before headers.
    * Documentation.html: Add commands how to setup config dir, note about
      changing permissions.
    * scripts/setup.php: Show Save and Load buttons disabled if saving not
      available.
    * libraries/Config.class.php: Refuse to load config file with world
      writable permissions, refuse to work with existing config dir.
    * lang/*, libraries/auth/config.auth.lib.php: Suggest to run setup script
      if auth with default values fails.
    * libraries/grab_globals.lib.php: Do not choke on arrays in $_SERVER
      array (bug #1370414).
    * libraries/sql_query_form.lib.php: Require bookmark code when we use it.
    * libraries/export/sql.php: Backquote database name (RFE#1376336).
    * libraries/plugin_interface.lib.php, import.php,
      libraries/display_import.lib.php, libraries/import/*: Generic plugin
      infrastructure and use it in import (needed for RFE#1325937), work in
      progress.

2005-12-08 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/tbl_move_copy.php: added PMA_table_rename()
    * tbl_properties_common.php, libraries/tbl_properties_links.inc.php:
      moved table related output after possible table changes
    * libraries/tbl_properties_table_info.inc.php:
      added some comments and made some code more readable
    * tbl_properties_operations.php:
      complete revise (xhtml output, fieldsets, forms merged)
    * tbl_rename.php: removed, deprecated by function PMA_table_rename()
    * db_search.php, libraries/common.lib.php, libraries/tbl_move_copy.php,
      pdf_schema.php: removed PMA_isInto(), deprecated by in_array()
    * libraries/mult_submits.inc.php, sql.php, tbl_addfield.php, tbl_alter.php,
      tbl_import.php, tbl_properties.php, tbl_properties_structure.php,
      tbl_properties_operations.php, tbl_properties_export.php, tbl_select.php
      tbl_relation.php: moved tbl_properties_common.php into libraries
    * libraries/common.lib.php, libraries/tbl_properties_common.php,
      libraries/tbl_properties_links.inc.php, tbl_properties_operations.php:
      global init of $GLOBALS['url_params']

2005-12-07 Michal Čihař  <michal@cihar.com>
    * lang/*: Unused messages cleanup, add missing ones.
    * lang/sync_lang.sh: Less verbose output to allow quick overview.
    * lang/czech: Update.
    * lang/galician: Update, thanks to Xose Calvo - xosecalvo.

2005-12-07 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Config.class.php: clear old config values
    * libraries/engines/memory|ndbcluster|merge|mrg_myisam|binlog.lib.php: new
    * libraries/engines/myisam|bdb|berkeleydb.lib.php:
      - PEAR coding standard
      - added comments
      - added more status variables
    * libraries/storage_engines.lib.php, libraries/engines/innodb.lib.php:
      - added PMA_StorageEngine::getMysqlHelpPage()
    * server_engines.php:
      - display link to mysql manual for specific engine
    * css/phpmyadmin.css.php, libraries/engines/innodb.lib.php:
      arrange innodb buffer pool tables side by side
    * css/phpmyadmin.css.php, server_collations.php:
      - use style classes
      - PMA_NO_VARIABLES_IMPORT
    * server_variables.php:
      - use style classes
      - format numbers
      - display only global variables that differs from local/session
      - use PMA_DBI_fetch_result()
      - PMA_NO_VARIABLES_IMPORT
    * js/querywindows.js:
      - added setTable()
      - set empty table on db change (bug #1375387)
    * left.php: removed unsused javascript event
    * index.php, left.php, libraries/sql_query_form.lib.php:
      syncronize id and name attribute for frame tags but keep IE sending
      querywindow form to the correct window (bug #1374757, #1364470, #1297985)

2005-12-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1374236, sorting order
    * libraries/auth/cookie.auth.lib.php: bug #1374753, Language change on
      login panel not propagated

2005-12-06 Michal Čihař  <michal@cihar.com>
    * libraries/config.default.php: Modify default export configuration (RFE
      #1373891).
    * libraries/database_interface.lib.php: Do not add BINARY types multiple
      times (bug #1374457).
    * libraries/common.lib.php, libraries/config.default.php: Variable name
      should be ForceSSL and not ForceSLL (bug #1374452).

2005-12-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
      - wrong quote, thanks to Matt "Cyber Dog" LaPlante
      - PMA_getTab(): use $_SERVER['PHP_SELF']
    * libraries/display_import.lib.php: missing '/' for closing div tag
    * libraries/display_export.lib.php: no name attribute for sup tag
    * server_engines.php:
      - revised (style, code, xhtml output)
      - use variable name as title if title is empty
      - make use of PMA_formatNumber() for non byte numeric values
      - set PMA_NO_VARIABLES_IMPORT
    * libraries/storage_engines.lib.php: revised
      - added PHP 5 constructor
      - added comments
      - PEAR coding standard
    * libraries/engines/innodb.lib.php:
      - revised (style, code, xhtml output)
      - added more status variables
      - PEAR coding standard
      - make use of PMA_formatNumber()
      - added comments
    * libraries/grab_globals.lib.php: protect $import_blacklist from overwriting

2005-12-05 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php: added PMA_array_merge_recursive()
    * libraries/Config.class.php:
      - make use of PMA_array_merge_recursive()
      - correctly reset config variables on changes in config.inc.php
    * sql.php: hide edit/delete links for information_schema (bug #1373201)
    * db_operations.php: revised (style, code, xhtml output)

2005-12-05 Michal Čihař  <michal@cihar.com>
    * many files: Use same script tag, use CDATA for scripts (RFE #995065).
    * export.php: Check for correct parameters.
    * import.php, lang/*, libraries/import/csv.php, libraries/import/ldi.php:
      Fix import of some CSV files (bug #1373731), provide better error
      messages.
    * lang/czech: Update.
    * import.php, libraries/display_import.lib.php: Fix import layout (bug
      #1370416), prefer recoding of strings over changing MySQL charset as in
      this case we can show resulting queries.

2005-12-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * server_privileges.php: do not use UNION DISTINCT, as it's not allowed
      before MySQL 4.0.17, and because "it does nothing" (cf manual)
      ### 2.7.0 released

2005-12-04 Michal Čihař  <michal@cihar.com>
    * pdf_schema.php: Bad copy and paste, here should be iso-8859-2 (thanks
      Marc!).
    * libraries/import/csv.php: Fix use of escaped chars (bug #1371249).
    * lang/czech: Update.

2005-12-03 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php, libraries/config.default.php, libraries/export/pdf.php,
      libraries/display_export.php, lang/*.php: experimental PDF export

2005-12-02 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/header.inc.php: missing ; for html entity,
      thanks to Matt "Cyber Dog"
    * tbl_properties_structure.php: fixed bdo tag and id names
      thanks to Matt "Cyber Dog"
    * libraries/tbl_indexes.lib.php: fixed missing quote
      thanks to Matt "Cyber Dog"
    * libraries/tbl_indexes.lib.php, tbl_properties_structure.php,
      tbl_indexes.php: revised XHTML output
    * themes/original/css/theme_left|right_css.php: use $GLOBALS

2005-12-01 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php, Theme.class.php:
      missing '/' in img path (bug #1370437)
    * libraries/Config.class.php:
      no error for missing config file (bug #1370269)
    * libraries/session.inc.php: session cookie path (bug #1370294)
    * libraries/Theme_Manager.class.php: update theme list on wakeup

2005-11-30 Michal Čihař  <michal@cihar.com>
    * lang/*: Messages for Sebastian.
    * libraries/Config.class.php: Actually load configuration.
    * Documentation.html, config.default.php (deleted),
      libraries/Config.class.php, libraries/config.default.php: Move
      config.default.php to librarires (bug #1365759).
    * scripts/setup.php: Adapted to new Config class, fix code generation.

2005-11-30 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Config.class.php:
      - merged code from common.inc.php and defines.lib.php
      - allow to load without user config
    * libraries/common.inc.php:
      - make use of new PMA_Config class
      - merged PMA_dl() from libraries/defines.lib.php
    * libraries/defines.lib.php: removed
    * scripts/setup.php, scripts/upgrade.pl: use class PMA_Config
    * scripts/create-release.sh: removed references to defines.lib.php

2005-11-29 Michal Čihař  <michal@cihar.com>
    * lang/sync_lang.sh: Add workaround for multibyte chars that can contain \
      as last byte.
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * lang/czech: Update.
    * scripts/setup.php: Added check for latest version and links to homepage
      and donations page.

2005-11-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, libraries/tbl_replace_fields.inc.php:
      bug #1367549, handling of CURRENT_TIMESTAMP

2005-11-29 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php
      - added PMA_setCookie() and PMA_removeCookie()
    * index.php, libraries/common.lib.php:
      - moved setting of cookies from index.php into common.lib.php
    * index.php
      - revised the parameter passing code
      - make use of new functionality of PMA_generate_common_url()
    * css/phpmyAdmin.css.php:
      - removed some unused deprecated elements
    * libraries/Theme.class.php, libraries/Theme_Manager.class.php:
      - added some functionality
      - added PMA_Theme_Manager::printPreviews() and PMA_Theme::printPreview()
    * main.php, css/phpmyAdmin.css.php, libraries/common.lib.php,
      index.php, libraries/auth/config.auth.lib.php,
      libraries/auth/cookie.auth.lib.php, themes.php, test/theme.php:
      - make use of new PMA_Theme and PMA_Theme_Manager classes
      - remove libraries/select_theme.lib.php
    * libraries/Config.class.php:
      new class for handling config

2005-11-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/italian: update, thanks to Luca Rebellato

2005-11-28 Michal Čihař  <michal@cihar.com>
    * scripts/setup.php:
        - Don't allow loading of configuration if there is no write permission
          on config.
        - Add links to documentation.
        - Document all functions.
        - Warn about missing mbstring and old PHP version.
        - Display all warnings in one place.
    * libraries/auth/cookie.auth.lib.php: Display PMA_errors on login form.
    * Documentation.html: Add anchors to configuration directives.
    * libraries/sqlparser.lib.php: Do not use functions not supported by older
      PHP (bug #1367782).
    * libraries/string.lib.php: This line should not be commented out.

2005-11-28 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/Theme.class.php, libraries/Theme_Manager.class.php:
      new classes for handling themes
    * libraries/select_lang.lib.php:
      - revised
      - added check for lang directory (./lang/)
      - check files for languages
      - use PMA_sendHeaderLocation()
    * libraries/common.lib.php: moved all function to top, to make this as
      early as possible available

2005-11-27 Michal Čihař  <michal@cihar.com>
    * Documentation.html, scripts/setup.php: Many new features to setup
      script.
    * pdf_schema.php: Do not use right_font_family.
    * lang/czech: Update.
    * libraries/auth/cookie.auth.lib.php: Fix undefined indexes.
    * libraries/display_select_lang.lib.php, libraries/select_lang.lib.php:
      Store HTML entities rather than relying on php functions to create them.

2005-11-24 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/grab_globals.lib.php: allow scripts to bypass importing vars
    * libraries/common.lib.php, libraries/export/sql.php,
      libraries/display_tbl.lib.php, libraries/mult_submits.inc.php, sql.php,
      tbl_replace.php, tbl_row_action.php:
      define variables only WHERE needed, and use NULL to define them
      if some places test only for isset and not for content
    * libraries/select_lang.lib.php:
      - fixed unchecked variables as it was originaly in my mind
      - added error message if requested lang could not be set
      - set fallback to en-utf-8
      - minore fixes

2005-11-25 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: move server choice into MySQL container
    * libraries/select_server.lib.php: show currently selected server
    * libraries/select_lang.lib.php: undefined pma_lang the first time (cookie
      does not exist)

2005-11-24 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/url_generating.lib.php:
      - do not htmlentities on whole string
      - respect arg_separator.input from php.ini
    * libraries/common.lib.php:
      - make PMA_sendHeaderLocation() earlier available
      - add SID only if set
      - check for url params already exist or not (wether & . SID or ? . SID)
      - respect arg_separator.input from php.ini
    * libraries/auth/cookie.auth.lib.php: use PMA_sendHeaderLocation()
      and new functionality of PMA_generate_common_url()
    * themes/original: revised
    * themes/darkblue_orange: revised

2005-11-25 Michal Čihař  <michal@cihar.com>
    * Documentation.html, config.footer.inc.php(deleted),
      config.header.inc.php(deleted), libraries/common.lib.php,
      libraries/footer.inc.php, libraries/footer_custom.inc.php,
      libraries/header.inc.php, libraries/header_custom.inc.php,
      libraries/auth/cookie.auth.lib.php, libraries/auth/http.auth.lib.php:
      Header and footer per themes (RFE #984152) [this part removed later],
      config.{header,footer}.inc.php files are now optional.
    * libraries/select_lang.lib.php: Fix undefined indexes.
    * */.cvsignore: Ignore custom headers and temporary files from Vim.
    * libraries/footer.inc.php, lang/*: Better message for new window, thanks
      to Sebastian and Marc.
    * libraries/auth/cookie.auth.lib.php: Do not create URLs like index.php?&.
    * scripts/setup.php, Documentation.html, .cvsignore: Setup script (RFE
      #601016).

2005-11-24 Marc Delisle  <lem9@users.sourceforge.net>
    * js/querywindow.js: bug #1365503, "do not overwrite this query"

2005-11-24 Michal Čihař  <michal@cihar.com>
    * libraries/header_http.inc.php, libraries/header_meta_style.inc.php: Fix
      XSS on some libraries (CVE-2005-3665).
    * *.php, libraries/*.php: Move scritps that don't need direct access to
      libraries folder.
    * Documentation.html: Up to date information about relation stuff.
    * tbl_query_box.php: Remove unused file.
    * libraries/tbl_properties.inc.php: Disable clicking events on table
      creation (bug #1358896).
    * js/functions.js: Better support for noclickable rows (see above).
    * lang/swedish: Update, thanks to Björn T. Hallberg - bjornth.
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * lang/czech: Updated.

2005-11-24 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/original/*, css/phpmyadmin.css.php:
      - updated theme
      - added version, to include only needed styles
    * libraries/dbi/*: added PMA_DBI_get_client_info(), PMA_DBI_get_proto_info()
      PMA_DBI_get_host_info()
    * main.php, css/phpmyadmin.css.php:
      - replaced table layout
      - added some more infos
    * themes/original/css/theme_left.cs..php: fixed font size
    * libraries/url_generating.lib.php:
      - dont add variables already in cookie (reduces html output up to 30%)
      - can pass all url variables as array to function
    * main.php, index.php: moved setting of cookies into index.php
    * libraries/select_lang.lib.php: made code more reliable
    * index.php: wrong check for safari

2005-11-23 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * *REVERTED* libraries/display_select_lang.lib.php: correct lang definition
    * themes/original/*, libraries/auth/*.auth.lib.php, server_privilegs.php,
      db_printview.php, tbl_properties_structure.php, tbl_properties.inc.php,
      tbl_relation.php, browse_foreigners.php, css/phpmyadmin.css.php,
      header_printview.inc.php, header_meta_style.inc.php, themes.php:
      - drop PMA_setFontSizes()
    * browse_foreigners.php, css/phpmyadmin.css.php, querywindow.php, themes.php
      header.inc.php, libraries/auth/config.auth.lib.php, db_details_qbe.php
      libraries/auth/cookie.auth.lib.php, server_collations.php
      - moved styles into css
    * themes.php, css/phpmyadmin.css.php:
      - moved styles into css
      - no need for javascript
    * relation.lib.php: uninitialized variable
    * tbl_select.php, css/phpmyadmin.css.php:
      - moved styles into css
      - minor code improvements

2005-11-23 Michal Čihař  <michal@cihar.com>
    * config.default.php, libraries/import/csv.php, libraries/import/ldi.php:
      Drop optional escaping as this should not have any real functionality.
    * libraries/import.lib.php: Do not overwrite error message from import in
      case of single SQL query is being executed.
    * libraries/import/csv.php: Make enclosing behaviour same as in MySQL LOAD
      DATA (bug #1363532).
    * lang/*: Remove unused messages.
    * main.php, libraries/display_select_lang.lib.php,
      libraries/auth/cookie.auth.lib.php: Common code for language selection
      form.
    * libraries/display_select_lang.lib.php, libraries/select_lang.lib.php:
      Show native names of languages (RFE #1342726).
    * libraries/auth/cookie.auth.lib.php: Try to load mcrypt extension.
    * Documentation.html, config.default.php, libraries/common.lib.php:
      Configurable default connection collation (RFE #1025969).
    * css/phpmyadmin.css.php, libraries/auth/cookie.auth.lib.php: Use
      fieldsets on login form (RFE #1364546), use notice box for cookie
      information.
    * libraries/display_select_lang.lib.php,
      libraries/auth/cookie.auth.lib.php: Use fieldset for language selection.
    * main.php, libraries/left_header.inc.php,
      libraries/select_server.lib.php, libraries/auth/cookie.auth.lib.php:
      Functionalised server selection and use it in cookie auth (RFE
      #1362727).
    * libraries/common.lib.php: Do not complain if config file is not present,
      as we can still work in this case (bug #1364647).
    * lang/*: Added missing $strInvalidServerHostname.
    * libraries/auth/cookie.auth.lib.php: Move error message on top of page.
    * lang/swedish: Update, thanks to Bjorn T. Hallberg - bjornth.
    * header.inc.php: Remove unused code.
    * Documentation.html, tbl_properties.inc.php,
      transformation_overview.php, libraries/transformations/overview.php
      (deleted): Move transformation overview out of libraries folder.
    * js/*.js, libraries/*.js (deleted), browse_foreigners.php, calendar.php,
      header.inc.php, index.php, pdf_pages.php, querywindow.php,
      tbl_change.php, tbl_properties.inc.php,
      libraries/display_tbl_links.lib.php, test/theme.php: Move javascript
      stuff out of libraries folder.
    * libraries/.htaccess: Deny access to libraries folder over HTTP.
    * Documentation.html: Recommend disabling access to libraries folder.
    * libraries/display_export.lib.php, lang/*: Better description for
      filename format (RFE #1362423).
    * Documentation.html, index.php: Add target parameter to index.php to
      allow direct jump to any script.
    * libraries/auth/cookie.auth.lib.php: Remember selected page when login
      time outs.
    * footer.inc.php, server_links.inc.php, css/phpmyadmin.css.php, lang/*,
      libraries/common.lib.php: Add link for duplicating current frameset (RFE
      #1165206).
    * config.default.php, sql.php, Documentation.html: Allow browse page to be
      default (RFE #1228013).
    * db_details_structure.php, left.php, tbl_properties_links.php: Do not
      pass default query to sql.php as it is not needed right now.
    * tbl_change.php, tbl_printview.php, tbl_properties.inc.php,
      tbl_properties_structure.php, libraries/display_tbl.lib.php,
      libraries/export/htmlword.php, libraries/export/latex.php: Use native
      MySQL comments when applicable (RFE #1362923).

2005-11-22 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * added test/theme.php: for testing themes
    * phpinfo.php:
      - respect only $GLOBALS['cfg']['ShowPhpInfo']
      - minimum include
    * libraries/common.lib.php
      - merged two server array checks
      - dont exit if user config loading failed
      - dont exit with invalid server index
      - use file_get_contents() or file() if not present
      - removed wrong error message
      - check if $cfg['ServerDefault'] is in $cfg['Servers'] before usning it

2005-11-21 Michal Čihař  <michal@cihar.com>
    * libraries/import/sql.php: Fix query splitting in some cases (reported by
      Marc).
    * libraries/common.lib.php, lang/*: Translate message that has been
      ignored for 2.7.0 release.
    * libraries/common.lib.php: Make code more redable, default to MySQL 5.0
      documentation as it is latest stable version.
    * main.php, libraries/select_server.lib.php,
      libraries/auth/cookie.auth.lib.php: Escape verbose server name (bug
      #1362671).
    * index.php: Avoid XSS on HTTP_HOST.

2005-11-20 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.7.0-rc1 released
    * many files: $dbh becomes $controllink for better contrast with $userlink

2005-11-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php::PMA_showMySQLDocu()
      - undefined constant (if server connection fails)
    * libraries/select_theme.lib.php
      - undefined variable (if server connection fails)

2005-11-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php: initialize in case there are
      no databases (MySQL < 5.0)

2005-11-18 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_databases.php:
      - require_once common.lib.php BEFORE ANYTHING else
      - unified style, removed tables
      - removed superuser check for dbstats
    * css/phpmyadmin.css.php:
      - small improvements
    * themes/darkblue_orange/css/*
      - fixed font sizes
    * lang/english-*: small improvements
    * tbl_properties_structure.php
      - do not truncate rowcount and next autoindex
    * /*
      - common.lib.php should REALLY REALLY and ALWAYS be the first include
      - no other calls to grab_gloabls.lib.php
    * fixed minimum_common for css files
    * header.inc.php: missing ; after &quot
    * libraries/function.js::pdfPaperSize()
      - function does not always return a vlaue
      - undeclared variables
    * libraries/display_export.lib.php
      - use superscript tag for comment
    * server_links.inc.php
      - require_once server_common.inc.php

2005-11-17 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1353283, thanks to Isaac Bennetch
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/belarusian updates, thanks to Jaska Zedlik

2005-11-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/grab_globals.lib.php: just to be sure:
      - clean/empty $GLOBALS with $variables_whitelist
      - unset some vars after use
      - check all superglobals that could be imported by register_globals=on
        for GLOBALS key (not only _REQUEST and _FILES )
      - added $import_blacklist
        - added variables starting with pma_, numeric or containing spaces
        - *REVERT* do not prevent import pma_*
      - rewrote PMA_gpc_extract()
        - use $import_blacklist
        - documentation
    * libraries/common.lib.php, libraries/mysql_charsets.lib.php,
      libraries/select_lang.php: keep the global space clean
      - unset variables after use
      - commented out some never used variables
    * main.php, libraries/common.lib.php, libraries/dbi/*:
      - added $GLOBALS['PMA_errors'] array
    * libraries/database_interface.lib.php, libraries/dbi/*:
      fall back to alternative mysql extension if selected fails and switch to
      error.php if this fails too
       - moved loading of extension out of libraries/dbi/* into
         libraries/database_interface.lib.php
    * libraries/sanitizing.lib.php: dont use deprecated tags
    * lang/german-*: fixed $strCantLoad

2005-11-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_links.php: missing menu tabs
    * Documentation.html, config.default.php, footer.inc.php,
      querywindow.php, tbl_query_box.php, libraries/common.lib.php,
      libraries/left_header.inc.php, libraries/sql_query_form.lib.php:
      new Query Window behavior

2005-11-16 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * added missing themes/darkblue_orange/img/error.ico
    * themes/darkblue_orange/css/theme_right.css.php
      - wrong error.ico
    * themes/*/img/tbl_error.png, themes/original/img/tbl_*, themes/*/img/dot_*,
      themes/*/img/frm_linevrlt.png
      - removed

2005-11-15 Michal Čihař  <michal@cihar.com>
    * css/phpmyadmin.css.php: Do not use common header file, as there is
      nothing common at all.
    * libraries/header_http.inc.php: Allways send text/html content type.
    * libraries/db_table_exists.lib.php, libraries/header_http.inc.php,
      transformation_wrapper.php: Use define rather than variable for
      conditional paths.
    * libraries/display_create_database.lib.php: Add label for create database
      input.

2005-11-14 Michal Čihař  <michal@cihar.com>
    * libraries/sql_query_form.lib.php: Fix %f expansion (bug #1355776).

2005-11-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php, css/phpmyadmin.css.php:
      bug #1342683 Wrong URL to error.ico
    * libraries/tooltip.js::pmaTooltip():
      - no return value (not always returns a value)
      - additional check
      - undefined variable docY
    * libraries/left_header.inc.php
      - added class icon
    * display_tbl.lib.php, libraries/display_tbl_links.lib.php:
      - added class icon to images
      - fixed select all rows
      - removed arrow_ltr/rtl.png for vertical display
      - cleaned up php code and html output
    * css/phpmyadmin.css.php:
      - removed space arround form elements

2005-11-13 Michal Čihař  <michal@cihar.com>
    * Documentation.html, config.default.php, main.php, server_links.inc.php,
      server_variables.php, server_status.php: Drop $cfg['ShowMysqlInfo'] and
      $cfg['ShowMysqlVars'] and show info in all cases. Drop $is_superuser
      condition from showing php info.
    * lang/czech: Small improvements.

2005-11-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_structure.php: wrong js function call
    * libraries/functions.js
      - removed deprecated function setCheckboxesRange()
      - rewrote setCheckboxes()
      libraries/server_privilegs.js
      - removed setCheckboxes()
      header.inc.php: include functions.js for server_privilegs.php
      server_privilegs.php
      - bug #1353437 Table/Column privileges brokeness new in HEAD
      - fixed proper display fo yes/no for column/table specific rights
      - fixed row selection
      - make use of javascript:un/markAllRows()
      - adapted layout like db, table and row lists
    * lang/german: fixed translation

2005-11-11 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.
    * lang/finnish: update, thanks to Jouni Kahkonen

2005-11-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php, Documentation.html: bug #1352479, warn
      if PHP does not support session
    * server_privileges.php: bug #1353435, selecting users to drop is broken
      and bug #1353437, undefined index while editing a user

2005-11-10 Michal Čihař  <michal@cihar.com>
    * scripts/create-release.sh: = is correct for comparsion in shell.
    * server_privileges.php: Revert fix for #1353437, there are wrong data and
      not displaying of it, fix bad display of table privileges.

2005-11-09 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: bug #1245891, too large scaling in PDF schema
    * libraries/bookmark.lib.php: bug #1339184 (for bookmark insertion)
    * tbl_properties.inc.php: superscript 1 for Length/Values

2005-11-09 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_databases.php, mysql_charsets-lib.php:
      bug #1351743 undefined function: pma_getservercollation()
    * database_interface.lib.php: added PMA_DBI_get_default_engine()
    * db_details_structure.php:
      - fixed display issues
      - display default engine in footer
    * libraries/common.lib.php: added PMA_getDbLink
    * libraries/display_create_table.lib.php: use fieldset
    * server_privilegs.php, libraries/server_privilegs.js:
       - db with only table specific rights WHERE not displayed if there was not
         at least one db with db specfic rights
       - javascript errors
    * function.js, db_details_structure.php, tbl_properties_structure.php,
      display_tbl.lib.php, server_databases.php:
       - added js:markAllRows(), js:unMarkAllRows()
       - check/uncheck all rows now sets mark color for this rows

2005-11-08 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * Documentation.html, browse_foreigners.php, error.php,
      header_printview.inc.php, index.php, left.php, translators.html,
      libraries/header_meta_style.inc.php, scripts/decode_bug.php:
      fixed/added favicon
    * tbl_indexes.php: bug #1350872 Broken Link in Structure Tab

2005-11-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_links.php: undefined variable $db_is_information_schema
    ### 2.7.0-beta1 released

2005-11-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/display_tbl.lib.php:
      bug #985399 MIME-based in print view / need to select the pk
    * db_details_db_info.php: Undefined variable: db_is_information_schema
    * tbl_properties.inc.php: bug #1305585 Add field(s) -> type ENTER

2005-11-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/norwegian: Update, thanks to Sven-Erik Andersen

2005-11-06 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php,
      libraries/dbi/*.dbi.lib.php:
      - added PMA_DBI_convert_message()
      - bug #1344654 Not converted mysql error message to chosen user language
    * sql.php: use fieldset for 'bookmark this'

2005-11-05 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php:
      dropped deprecated style classes
    * server_databases, libraries/databases_interface.lib.php,
      libraries/mysql_charsets.lib.php:
      updated database list:
      - added PMA_getServerCollation()
        - display server collation in db list footer
      - added PMA_DBI_get_databases_full()
        - make use of info_schema on MySQL 5
        - always display db stats for MySQL 5
      - fixed html output
      - replaced " with ' in some queries
    * tbl_properties_structure.php, tbl_properties_common.php
      tbl_properties_links.php:
      - no drop, empty, operation, insert, import for information_schema tables
      - enabled export for views
    * db_details_common.php, db_details_structure.php, db_details_links.php:
      - no import, drop, rights, operation for information_schema

2005-11-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza)

2005-11-04 Michal Čihař  <michal@cihar.com>
    * db_details_structure.php: Read InnoDB exact count before rendering icons
      for truncating (bug #1337744).

2005-11-04 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_structure.php:
      fixed display of stats for InnoDB and information_schema
    * main.php:
      - bug #1348089 SQL and actions bellow should be same width
      - removed nowrap, vertical srcolling is really annoying
    * main.php, libraries/check_user_privileges.lib.php:
      - bug #1348189 after droping db some links in main.php are missing
    * header.inc.php, libraries/common.lib.php:
      - added class icon to img-tags
    * libraries/header_meta_style.inc.php:
      fixed position of link meta tag
    * libraries/select_server.lib.php
      fixed html output

2005-11-03 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, tbl_replace.php, tbl_replace_fields.php:
      bug #1339184, problems in strict mode inserting auto-increment fields
    * libraries/header_meta_style.inc.php: favicon on login panel
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.

2005-11-03 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Incorrect message for validate links (bug
      #1346608).

2005-11-03 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/dakrblue_orange/theme_right.css.php, css/phpmyadmin.css.php:
      fixed different font sizes
    * footer.inc.php, libraries/dbg/*:
      use $GLOBALS as this scripts can be included from inside a function
    * left.php, libraries/common.lib.php:
      fixed some rtl lang issues

2005-11-02 Michal Čihař  <michal@cihar.com>
    * config.default.php: This is not a configuration file.
    * config.default.php, Documentation.html, libraries/common.lib.php: Use
      $cfg['Servers'][1] from config.default.php as defaults for settings in
      config.inc.php (bug #1330847).

2005-11-02 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/dbg/setup.php:
      - display error in error box
      - fixed 'not defined function'
    * libraries/dbg/profiling.php:
      - minor fixes: html output, speed, rtl lang
    * tbl_realtion.php:
      - fixed html output of table
      - used fieldset for forms
    * libraries/common.lib.php, browse_foreigners.php:
      - replaced $cfg['Bgcolor*'] with classes
      - make use of fieldset
    * css/print.css, dbv_datadict.php:
      - replaced $cfg['Bgcolor*'] with classes
      - reduced output size by 40%
    * libraries/display_create_tbl.php
      - XHTML compl.
      - added class icon

2005-11-01 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: undefined variable when changing a password

2005-11-01 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php:
      bug #1342332 Error messages wrongly formatted.
    * themes/*/css/theme_right.css.php:
       - fixed some rtl languages issues
       - added style for notice box (server_export.php)

2005-10-31 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/css/theme_right.css.php:
       - use right image path
       - fixed icon alignment for rtl languages
    * main.php, phpmyadmin.css.php, libraries/mysql_charsets.lib.php:
       - fixed some rtl language issues
    * favicon.ico: changed icon

2005-10-31 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: do not display No under the Password column
      if this is not a "real user" definition

2005-10-31 Michal Čihař  <michal@cihar.com>
    * libraries/select_lang.lib.php: Simplify code.
    * libraries/common.lib.php: Allow collation change for ENUM and SET
      columns (bug #1343627).
    * main.php: Use normal message on reload, not just plain text.
    * themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php: Fix URL for cursor (bug
      #1342683).

2005-10-30 Michal Čihař  <michal@cihar.com>
    * lang/slovak: Update, thanks to Ivan Kuriscak - shylauda69.
    * lang/*: Remove duplicite message.
    * lang/sync_lang.sh: Sync japanese also, it works now (at least for me).
    * lang/japanese: Update, thanks to Tadashi Jokagi - elf2000.
    * libraries/display_tbl.lib.php: Do not break on special chars in column
      name (bug #1180668).
    * libraries/common.lib.php: Do not escape SQL query twice while showing it
      in error message (bug #1336452).
    * left.php, querywindow.php, tbl_query_box.php: Fix including of files
      when search path does not contain current directory.
    * libraries/common.lib.php, libraries/left_header.inc.php: Use common code
      for generating links to documentation, fixes link to new style docs.

2005-10-29 Michal Čihař  <michal@cihar.com>
    * Documentation.html, config.default.php, libraries/common.lib.php: Link
      documentation to version we run (RFE #1334292), fix links for chapter
      documentation (bug #1341676), drop support for old links.
    * tbl_indexes.php, tbl_properties.inc.php, tbl_select.php,
      libraries/display_create_database.lib.php,
      libraries/sql_query_form.lib.php: Fix documentation links (bug
      #1341676).

2005-10-29 Olivier Mueller <om@omnis.ch>
    * scripts/upgrade.pl: various fixes (was not handling rc/pl correctely),
      and improvements (--force option, installation summary, backup
      directory timestamp)

2005-10-29 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: clarification on FAQ 6.20
    * server_privileges.php: respect the chosen initial
    * libraries/display_tbl.lib.php: patch 1328902 (adapted), format row count
      in the Browse header, thanks to Cal Henderson

2005-10-28 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * server_privilegs.php, libraries/common.lib.php,
      themes/*/theme_right.css.php:
       - minor tweak in display
       - added PMA_unescape_mysql_wildcards()
       - bug #1144110 Unable to escape "_"
       - now every user from every mysql table is displayed
       - no table specific rights for db wildcards
    * index.php, favicon.ico: added favicon.ico

2005-10-27 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/common.lib.php::PMA_formatNumber(),
      db_details_structure.php: do not truncate rowcount
    * libraries/mysql_charsets.lib.php::PMA_getDbCollation():
      - preserve selected db
      - make use of PMA_DBI_select_db()
      - documentation
    * tbl_properties_structure.php:
      - added browser icon for each field (count unique values)
      - removed styling
      - make use of global row highlighting/marking
      - display 'print table' and row stats for views
      - no actions for info_schema tables
    * css/phpmyadmin.css.php:
      - added style for class selectallarrow
      - added extra space between icons and text
    * browse_foreigners.php, header_printview.inc.php, left.php:
      bug #1334963 Per-server themes - left frame colors unthemed
    * server_privileges.php:
      - bug #1274032 Field privileges with database names containing underscores
      - use DROP USER
      - use db_name LIKE REPLACE( mysql.db.Db, \_, _ )
    * libraries/grab_globals.lib.php: [XSS] clean $_SERVER variables
    * left.php, libraries/common.lib.php: format rowcount in left frame
    * server_privileges.php:
      bug #688255 Can't edit priv. when different host in db and user

2005-10-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french* updates

2005-10-26 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * themes/*/theme_right.css.php, libraries/auth/http.auth.lib.php,
      db_operations.php, mult_submits.inc.php, server_privileges.php,
      css/phpmyadmin.css.php, libraries/common.lib.php, sql.php,
      libraries/auth/cookie.auth.lib.php:
      unified message boxes (error, warning, confirmation)
    * server_privilegs.php: MySQL 5 requires CREATE USER before GRANT

2005-10-25 Michal Čihař  <michal@cihar.com>
    * lang/english: "Log in" is correct naming for action (RFE #945440).
    * tbl_properties_operations.php: Allow to change auto_increment for
      InnoDB (bug #1337873).
    * tbl_properties_operations.php: Reread table information after change, so
      that rendered page contains change, that has been just done.

2005-10-24 Michal Čihař  <michal@cihar.com>
    * tbl_properties_operations.php: Fix changing table attributes, reread new
      parameters after changing them (bug #1290413).
    * main.php: Remove useless isset.
    * lang/czech: Update.

2005-10-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: there is already a function to do this
      sort (thanks to Sebastian)
    * tbl_change.php: bug #1334627, do not set NOW() as default function
      when the TIMESTAMP has a default value and does not have the
      ON UPDATE CURRENT TIMESTAMP attribute (phew! repeat this 3 times)

2005-10-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: foreign dropdowns: sort id-content by id
      and content-id by content
    * libraries/common.lib.php: bug #1330847, undefined index connect_type

2005-10-21 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * db_details_export.php:
      - replaced for() with foreach()
      - dont pollute $GLOBALS['table']
    * libraries/mysql_charsets.lib.php:
      - make use of mysql variable collation_database
      - fixed call to PMA_DBI_fetch_value() (return second field, not first)
    * libraries/database_interface.lib.php:
      extended function PMA_DBI_get_tables_full():
       - make use of information_schema
       - always fill fields for information_schema and show table status
    * db_details_db_info.php: make use of function PMA_DBI_get_tables_full()

2005-10-20 Marc Delisle  <lem9@users.sourceforge.net>
    * server_databases.php: security fix
    * libraries/common.lib.php, /grab_globals.lib.php: security fix

2005-10-20 Alexander M. Turek  <me@derrabus.de>
    * libraries/mysql_charsets.lib.php:
      - On MySQL 5.0.6, we don't have to parse SHOW CREATE DATABASE anymore,
        if we just want to get to know a database's default collation;
     - Make use of this fancy new function PMA_DBI_fetch_value().

2005-10-20 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * sql.php, footer.inc.php: refresh left frame on view creation
    * left.php: view icon for views
    * libraries/left.js: dropped
    * libraries/function.js: tuned PMA_merkRowsInit():
      every table with class data now has mark and hover effect
    * css/phpmyadmin.css.php: nowrap for IE and pre for the rest
    * css/phpmyadmin.css.php, server_status.php: css cleanup
    * db_details_structure.php, db_details_db_info.php:
      - XHTML compliance, styling outsourced, row marker outsourced
      - do not too much if there is no table

2005-10-19 Alexander M. Turek  <me@derrabus.de>
    * lang/*.inc.php, libraries/mysql_charsets.lib.php: Correct description
      for collations utf8_esperanto_ci, ucs2_esperanto_ci.
    * lang/german-*.inc.php: Updated some untranslated strings.

2005-10-19 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/bookmark.lib.php: PHP 5.1.0-dev compatibility

2005-10-19 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * footer.inc.php, index.php, server_databases.php, libraries/querywindow.js:
      fix problem not remembering selected server
    * libraries/tooltip.js, themes/*/theme_right.css.php:
      moved not always needed code out of event handler, fixed display with larger font
    * libraries/function.js, css/phpmyadmin.css.php:
      added mark and hover effect to every table of class data
    * libraries/sql_query_form.lib.php: open db link from querywindow in main frame
    * footer.inc.php, header.inc.php, libraries/tooltip.js:
      moved tooltip javascript include into header

2005-10-18 Michal Čihař  <michal@cihar.com>
    * libraries/relation.lib.php: Do not set database if not needed.
    * libraries/common.lib.php: Use common infrastructure for getting tables.
    * Documentation.html, config.default.php, libraries/select_lang.lib.php:
      Allow to limit list of shown languages (RFE #1328003).
    * libraries/common.lib.php: Fix URL detection when not called from top
      level directory (eg. transformations overview).
    * Documentation.html, config.default.php, export.php, import.php,
      tbl_change.php, tbl_replace_fields.php, libraries/common.lib.php,
      libraries/display_export.lib.php, libraries/display_import.lib.php,
      libraries/sql_query_form.lib.php: Support for user specific upload and
      save directories (RFE #1260039).

2005-10-18 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * querywindow.php: wrong handling of linebreaks in query: bug #1243888
    * left.php, sql.php, tbl_change.php, libraries/common.lib.php,
      libraries/querywindow.js: update row count in left frame bug #1243908
    * libraries/common.lib.php:
      bug #1216521: display duplicate rows for failed unique key creation

2005-10-17 Michal Čihař  <michal@cihar.com>
    * lang/czech: Translation fixes.
    * libraries/common.lib.php: Group databases by rightmost separator (bug
      #1325651).
    * libraries/string.lib.php: Fix escaping detection on multi byte strings.
    * libraries/sql_query_form.lib.php: No warning if no db defined.
    * libraries/sqlparser.lib.php: Avoid warning if analyzing failed.

2005-10-17 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css/phpmyadmin.css.php: border around tabs bug #1326730
    * libraries/header_meta_style.inc.php, themes/*: removed unused 'js_isDOM'
    * queryframe.php, db_operations.php, footer.inc.php, header.inc.php,
      header_printview.inc.php, left.php, querywindow.php,
      transformation_wrapper.php, left_header.inc.php:
      removed queryframe.php and references to it
    * index.php, footer.inc.php, left.php, querywindow.php, server_databases.php
      libraries/common.lib.php, libraries/left_header.inc.php,
      libraries/sql_query_form.lib.php, libraries/querywindow.js:
      code cleanup whole querywindow js stuff, moved all in one new js file,
      now included in index.php, bug #1327055

2005-10-16 Michal Čihař  <michal@cihar.com>
    * db_details_links.php: Disable drop tab on mysql database (RFE #1327514).
    * server_databases.php: Don't allow to check mysql database for dropping
      (RFE #1327514).
    * lang/*, libraries/transformations/text_plain__sql.inc.php:
      Transformation for SQL pretty printing (RFE #1327648).

2005-10-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_create.php, tbl_alter.php: undefined $field_collation under MySQL < 4.1.x
    * tbl_properties_structure.php, tbl_alter.php, libraries/sqlparser.lib.php:
      bug #1320470, timestamp is not shown as being NULL under MySQL < 4.1.x

2005-10-14 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: problem under MySQL 4.0.x
    * libraries/sql_query_form.lib.php: support MySQL < 4.1.x

2005-10-14 Michal Čihař  <michal@cihar.com>
    * libraries/sql_query_form.lib.php: Do not attempt to read upload dir when
      not configured.
    * libraries/sqlparser.lib.php: Do not walk chars for hex and numbers one
      by one, this boosts performance while inserting huge blobs (bug
      #1315232).
    * libraries/sqlparser.lib.php: Handle correctly float like .01 (bug
      #1252713).

2005-10-14 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * lang/*: typo 'unser' -> 'user'
    * lang/german: partial Update
    * libraries/import.lib.php: uninitialized variables

2005-10-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: undefined $field_collation under MySQL < 4.1.x

2005-10-13 Michal Čihař  <michal@cihar.com>
    * Documentation.html: Fix URL rewriting not to match empty parts.
    * calendar.php, themes.php, libraries/auth/config.auth.lib.php,
      libraries/auth/cookie.auth.lib.php, libraries/auth/http.auth.lib.php:
      Use common header.
    * libraries/header_meta_style.inc.php: Add support for defining page
      title.
    * libraries/left.js, libraries/header_meta_style.inc.php: Move browser
      detection to only place WHERE it is currently used.
    * header.inc.php, css/phpmyadmin.css.php: Define CSS normal way and not
      by writing through JavaScript.
    * libraries/get_foreign.lib.php: Free temporary query result.
    * lang/czech: Improve some translations.
    * sql.php: We need bookmark code to be included everytime.
    * libraries/common.lib.php: Allow editing of query without database.

2005-10-13 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * left.php: preselect db if only one db
    * server_privileges.php:
      XHTML compl., NOTICE, Icons for Edit/Revoke Links
    * server_processlist.php, libraries/display_import.lib.php,
      css/phpmyadmin.css.php: XHTML compl.
    * libraries/display_import.lib.php, css/phpmyadmin.css.php:
      JavaScript errors, layout errors
    * libraries/display_import.lib.php, css/phpmyadmin.css.php:
      small CSS fixes
    * libraries/display_export.lib.php, server_export.php:
      XHTML compliance, introduced fieldsets

2005-10-12 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * css/phpmyadmin.css.php, libraries/common.lib.php,
      themes/darkblue_orange/css/theme_right.css.php,
      themes/original/css/theme_right.css.php:
      use list for navigation tabs RFE #1290423
    * db_details_structure.php: fixed NOTICE
    * css/phpmyadmin.css.php, themes/*/css/theme_*.css.php:
      revert icon size to fixed width and height
    * libraries/session.inc.php:
      dont use 6-bit chars on windows
    * css/phpmyadmin.css.php:
      display bug in FF with tabs in querywindow
    * libraries/common.lib.php:
      fixed rowcount in left frame for tables in information_schema
    * libraries/sql_query_form.lib.php:
      XHTML compl.
    * css/phpmyadmin.css.php, server_status.php, server_databases.php
      server_collations.php, server_engines.php, server_privileges.php
      server_variables.php: XHTML compl.

2005-10-12 Michal Čihař  <michal@cihar.com>
    * libraries/get_foreign.lib.php: Fix paging.
    * tbl_properties_links.php: Make drop and empty tabs lead to structure
      instead of SQL.
    * libraries/common.lib.php: Use normal font sizes for Mozilla browsers.
    * querywindow.php: Add icon for history tab.

2005-10-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/grab_globals.lib.php: bug #1322871, local file inclusion

2005-10-11 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * footer.inc.php, index.php, left.php, queryframe.php, querywindow.php
      server_databases.php, css/phpmyadmin.css.php, libraries/common.lib.php
      libraries/left_header.inc.php, libraries/sql_query_form.lib.php
      themes/darkblue_orange/css/theme_left.css.php
      themes/original/css/theme_left.css.php:
      XHTML 1.0 trans. compliance and more semantic XHTML output
    * tbl_printview.php, tbl_properties_structure.php:
      no table statistics for information_schema
    * tbl_properties_table_info.php:
      bug #1317655 information_schema browsing
    * db_details_db_info.php, db_details_structure.php:
      fixed display table statistics for information_schema
    * db_details_links.php, header.inc.php:
      moved database comment into header (serverinfo) after database name
    * header.inc.php, main.php, libraries/header_meta_style.inc.php:
      XHTML 1.0 trans. compliance

2005-10-09 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_links.php: invalid js confirmation and operation feedback
      when dropping a view
    * server_privileges.php: bug #1226819, Accepting Negative values in
      Resource Limits in Privileges

2005-10-09 Michal Čihař  <michal@cihar.com>
    * libraries/display_export.lib.php, libraries/export/sql.php, lang/*,
      config.default.php: Add ability to limit maximal size of extended insert
      query, defaults to 50 KB (RFE #1015378).
    * import.php, libraries/common.lib.php, lang/*: Show message when
      bookmark has been created (RFE #477472), show deleted bookmark query.
    * server_privileges.php: Limit username and hostname to actual limits of
      MySQL (RFE #1178071).
    * config.default.php: Add COMPRESS and UNCOMPRESS functions.
    * tbl_change.php: Show functions for blobs when upload is enabled (RFE
      #1191792).
    * tbl_properties.inc.php: Remove unused code, show only available engines,
      remember value of seleted engine (bug #1239580).
    * browse_foreigners.php, libraries/get_foreign.lib.php: Support for
      searching in foreign keys (RFE #871091).
    * import.php, libraries/sql_query_form.lib.php, lang/*: Ability to replace
      existing bookmark (RFE #907438).
    * Documentation.html, libraries/ip_allow_deny.lib.php: Add more useful
      shortcuts for IP rules (RFE #1022831).

2005-10-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/session.inc.php: workaround for warnings on session_start()
      displayed on sf.net server
    * sql.php: remove old code
    * server_privileges.php, lang/*.php, libraries/sqlparser.data.php:
      support MAX_USER_CONNECTIONS

2005-10-08 Michal Čihař  <michal@cihar.com>
    * libraries/display_export.lib.php: Use same formatting for all options.
    * libraries/import/ldi.php: This one does not handle charset conversion.
    * sql.php: Work even if no db set.
    * server_status.php: Call sql.php directly, we don't need to care about
      query splitting done im read_dump.
    * libraries/import/sql.php: Fix import of queries containing `, fix import
      of queries not terminated by ;.
    * libraries/sqlparser.lib.php: Do not show error on empty query.
    * libraries/import.lib.php: Add support for DROP DATABASE checking.
    * libraries/display_tbl.lib.php, libraries/sql_query_form.lib.php,
      libraries/common.lib.php: Use import.php.
    * lang/*: New message for deleting bookmark.
    * import.php: Add support for bookmarks, support for goto URL, fail
      correctly if import plugin not found, commented some code.
    * sql.php, config.default.php: Remove references to read_dump.php.
    * read_dump.php: Remove unused code.
    * ldi_check.php, ldi_table.php: Remove unused code.
    * tbl_change.php: Remove references to ldi_*.
    * scripts/find_unused_messages.sh: Simplify and addapt to current
      messages.
    * import.php: Do not show query in different charset (bug #1028634).
    * libraries/auth/cookie.auth.lib.php: Keep database and table selection
      over login, needed for RFE #1278312.
    * Documentation.html: Add example for redirects like
      /phpMyAdmin/database/table (RFE  #1278312).
    * libraries/import.lib.php: Fix execution of single large queries.
    * import.php, lang/*: Try to detect that upload failed because of limits
      (RFE #1240480).
    * libraries/storage_engines.lib.php: Use defined messages.
    * libraries/auth/cookie.auth.lib.php: Removed unused code parts.
    * libraries/sqlvalidator.lib.php: Removed unused code.
    * server_privileges.php, lang/*: Better show error, define used message
      strDeleteNoUsersSelected.
    * tbl_properties_operations.php: Use strError instead of non existing
      strFailure.
    * lang/*: Remove unused messages.
    * sql.php: Use common code for superuser detection.
    * tbl_addfield.php, tbl_alter.php, tbl_create.php,
      libraries/common.lib.php, libraries/relation.lib.php: Use common code
      for CREATE/ALTER TABLE, set comments on creating table, so that user can
      see it in the query.
    * tbl_addfield.php, tbl_alter.php, tbl_create.php: Do not try to set
      comment and MIME transformation if field not named.
    * libraries/relation.lib.php: Fix reading native MySQL comments when no
      phpMyAdmin one defined (bug #1312758).
    * tbl_properties_structure.php: Removed query box as discussed on mailing
      list.
    * tbl_*: Use more require_once to avoid acquiring table info several
      times.
    * libraries/relation.lib.php: Do not try to restore database as control
      user, it has to fail.
    * libraries/import/sql.php: Fix query parsing when there is comment or
      string at the end.
    * import.php: Reenable LIMIT appending (bug #1318624).
    * sql.php: Fix appending LIMIT when there are comments.
    * libraries/common.lib.php: Parse query before inserting LIMIT to know
      WHERE to place it.
    * lsng/czech: Update.

2005-10-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/check_user_privileges.lib.php: bug #1313821, dbname containing a
      hyphen was not detected as being already created

2005-10-07 Michal Čihař  <michal@cihar.com>
    * lang/bulgarian: Update, thanks to Stanislav Yordanov - stanprog.
    * libraries/common.lib.php: Drop some old code.

2005-10-06 Michal Čihař  <michal@cihar.com>
    * import.php: Correctly report that file could not be read.
    * libraries/import/sql.php: Fix handling of whitespace at the end of
      imported file.
    * calendar.php, libraries/tbl_change.js: Calendar improvements: add submit
      button (bug# 1312373) and fix entering time begining with 0 (bug
      #1312373).

2005-10-05 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php, tbl_properties_table_info.php: detect
      MySQL 5.0.13 views
    * libraries/display_tbl.lib.php: bug #1306833, full text link broken,
      thanks to Vernon Lyon - vlyon
    * libraries/charset_conversion.lib.php: PMA_MYSQL_INT_VERSION is not
      defined at login time but what tested
    * libraries/display_create_table.lib.php, bug #1311384, Create table
      dialog on escaped wildcard privileges

2005-10-04 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/functions.js, libraries/sql_query_form.lib.php:
      fixed JavaScript malfunction in querybox textarea with Opera

2005-10-03 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: support for Execute_priv

2005-10-01 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2005-09-30 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php, db_details_structure.php, db_operations.php,
      libraries/check_user_privileges.php, /display_create_database.lib.php,
      /display_create_table.lib.php: bug #1307208, detect lack of privileges
      before showing the "Create new table" dialog. Please test.
      TODO: detect escaped wildcard privileges

2005-09-30 Michal Čihař  <michal@cihar.com>
    * libraries/display_export.lib.php, libraries/export/sql.php,
      db_operations.php, tbl_properties_operations.php: Fix auto increment
      export (bug #1309257).

2005-09-28 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php, libraries/common.lib.php, /relation.lib.php:
      bug #1262250, cannot change ENUM default value to empty

2005-09-28 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php: removed unneeded variable,
      dont display bookmark selection fieldset if no bookmark exists
    * libraries/session.inc.php: introduced PMA_secureSession()
    * sql.php: bug #1305830 wrong db choosen

2005-09-27 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/sql_query_form.lib.php, db_details.php, server_sql.php
      tbl_properties.php, tbl_properties_structure.php, sql.php,
      querywindow.php, read_dump.php: moved all code for queryboxes into
      libraries/sql_query_form.lib.php, replaced table with fieldsets, moved styles into css, minor interface changes related to queryboxes
    * libraries/sql_query_form.lib.php: completed function docblocks
    * css/phpmyadmin.css.php:
      partially fixed bug: odd display of navtabs in Gecko-Browsers
    * libraries/session.inc.php, libraries/grab_globals.lib.php,
      libraries/common.lib.php, libraries/auth/cookie.auth.lib.php:
      introducing sessions

2005-09-27 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * server_status.php, lang/*: Separate some new information on MySQL 5.
    * lang/hebrew, translators.html: New Hebrew translation, thanks to Hadar
      Porat - hpman28.
    * lang/*: Add missing messages, remove duplicates and no longer used.
    * libraries/sql_query_form.lib.php: Do not use strOr, drop file upload
      from normal SQL dialogs.
    * libraries/display_import.lib.php, libraries/file_listing.php: Sort file
      list on import tab, prepare generic framework to be used elseWHERE (RFE
      #1303145).
    * tbl_change.php: Use file common file listing.
    * libraries/common.lib.php, libraries/display_import.lib.php,
      libraries/file_listing.php, libraries/sql_query_form.lib.php: Use common
      file listing in query window, remove no more used functions. Please note
      that file import from query windows is currently half rewritten, so
      compressed imports will not work.

2005-09-26 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * libraries/database_interface.lib.php: fixed bug in PMA_DBI_fetch_*()
      using PMA_DBI_num_rows() on unbuffered queries

2005-09-26 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Fix constraint parsing (bug #1304600).
    * libraries/display_import.lib.php, libraries/import/csv.php: Rename
      plugin parameters to allow using same parameter by multiple plugins.
    * config.default.php, lang/*, libraries/import/ldi.php: Alternate LOAD
      DATA import plugin for CSV.
    * libraries/display_import.lib.php: Sort list of import plugins.
    * mult_submits.inc.php, tbl_properties_structure.php: Support for browsing
      selected columns (RFE #1275909).
    * libraries/common.lib.php: Do no try to parse empty SQL query (bug
      #1303994).
    * tbl_create.php, lang/*: Do not allow to create table that already exists
      (RFE #1255931).

2005-09-25 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: support MySQL 5 privileges

2005-09-25 Michal Čihař  <michal@cihar.com>
    * lang/*: Messages for Sebastian.
    * lang/czech: Partial update.

2005-09-25 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * left.php, queryframe.php, libraries/common.lib.php,
      libraries/left_header.inc.php, css/phpmyadmin.css.php:
      grouping databases (bug #1281262)
    * server_status.php, libraries/common.lib.php, css/phpmyadmin.css.php:
      extended server status information with description and warnings,
      added PMA_formatNumber()
    * server_privilegs.php: fixed bug table not found
    * tbl_properties_structure.php, css/phpmyadmin.css.php:
      made statistic tables floating, moved styles into css
    * css/phpmyadmin.css.php: set font-size in caption to normal

2005-09-24 Sebastian Mendel <cybot_tm@users.sourceforge.net>
    * querywindow.php, css/phpmyadmin.css.php:
      resize querywindow to content (bug #1277375)

2005-09-24 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_links.php, server_privileges.php, server_common.inc.php:
      bug #1302985, Privileges tab on database
    * tbl_change.php: bug #1272290, multiple MAX_FILE_SIZE limits BLOB
      insertion

2005-09-24 Michal Čihař  <michal@cihar.com>
    * lang/add_message_file.sh: Make it deal with regullar php file, do not
      mark english text as to translate.
    * lang/add_message.sh: Do not mark english text as to translate.
    * *import*, Documentation.html, lang/*, main.php, *links*,
      css/phpmyadmin.css.php, libraries/unzip.lib.php: New import system,
      please test it (patch #1288933, RFEs: 618255, 780754, 1017598, 1097670,
      1274500, 807830).
    * libraries/import.lib.php, libraries/import/csv.php,
      libraries/import/sql.php, libraries/import/README: Fix possible data
      leak when reading large buffer.

2005-09-23 Michal Čihař  <michal@cihar.com>
    * libraries/auth/cookie.auth.lib.php: Do not pass empty variables as
      haystack to strpos (bug #1299422).
    * server_privileges.php: Reload left frame if dropping database (bug
      #1298678).
    * libraries/fpdf/fpdf.php: Fix filename for PDF pages containing space in
      name (bug #1300837).

2005-09-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_export.lib.php, libraries/export/csv.php:
      bug #1301374, csv on-screen export broken

2005-09-20 Michal Čihař  <michal@cihar.com>
    * libraries/database_interface.lib.php: Added some useful functions to DBI
      layer (patch #1286451), thanks to Sebastian Mendel.
    * Documentation.html, config.default.php, libraries/common.lib.php: Add
      support for forcing https access to phpMyAdmin (RFE #1111333).

2005-09-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.data.php: patch #1295365, missing function
      definitions in parser, thanks to Sebastian Mendel
    * db_details_links.php: patch #1196806, Privileges link on db page

2005-09-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_export.lib.php: bug #1293937 Export compression
      default: bzip instead of bzip2, thanks to Rene Leonhardt

2005-09-15 Michal Čihař  <michal@cihar.com>
    * config.default.php, libraries/common.lib.php: Simplify loading of
      defaults, why did I write such crap before?
    * libraries/common.lib.php: Fail if pcre support is missing.

2005-09-14 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1290730, https export under MSIE fails

2005-09-14 Michal Čihař  <michal@cihar.com>
    * css/phpmyadmin.css.php: Do not wrap tabs (patch #1282247), thanks to
      Sebastian Mendel.
    * config.default.php: Do not set blowfish_secret here at all, this needs
      to be done by user (bug #1290990).
    * libraries/auth/cookie.auth.lib.php: Fix undefined variable warnings.
    * libraries/common.lib.php, lang/*: Detect wrong authentication method and
      warn user using error.php (bug #1290888).
    * tbl_properties_operations.php: Update auto_increment value (bug
      #1290413).
    * read_dump.php, server_links.inc.php, server_sql.php, sql.php, lang/*:
      Add SQL tab for server (patch #1291084), (RFE #1048090).
    * Documentation.html: We dropped support for PHP 3 some time ago, so let's
      drop mentions about it from documentation.

2005-09-13 Marc Delisle  <lem9@users.sourceforge.net>
    * scripts/create-release.sh: no longer copy config.inc.php to
      config.default.php to keep a backup of the previous version

2005-09-13 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Add support for lang/added_messages.php
      (mostly as feature for developer, to allow easilly adding messages
      while working on some features).
    * .cvsignore, Documentation.html, config.default.php,
      config.inc.php[removed], libraries/common.lib.php,
      libraries/config_import.lib.php[removed]: New configuration handling,
      use config.inc.php for configuration, default values are stored in
      config.default.php.
    * config.default.php: Remove non configuration stuff.
    * lang/.cvsignore: Ignore lang/added_messages.php.

2005-09-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: bug #1287611, no Save button in Relation view
          when pmadb is not defined

2005-09-10 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.4 released

2005-09-09 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1283813, SHOW STATUS typed in a
      query box produces a SHOW CREATE TABLE STATUS under MySQL 5.0.x
    * lang/mongolian* update, thanks to Bayarsaikhan Enkhtaivan

2005-09-07 Michal Čihař  <michal@cihar.com>
    * main.php, libraries/auth/cookie.auth.lib.php: XSS on username (bug
      #1283552)
    * ChangeLog: Move vim modelines to correctly interpret et after setting
      file type (otherwise tabs were not expanded as changelog ft sets noet).

2005-09-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2005-09-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/defines.lib.php, themes/*/info.inc.php: about themes version,
      phpMyAdmin 2.6.4 needs generation 2, version 1;
      phpMyAdmin 2.6.5 (currently) needs generation 2, version 2
    * header.inc.php: XSS on $title, thanks to Christian Wenz

2005-09-05 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php: Do not treat BLOBs as number (bug #1277309).

2005-09-04 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1281533, collation not kept while
      changing table field count

2005-09-02 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/turkish update, thanks to boralioglu.

2005-08-28 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/belarusian updates, thanks to Jaska Zedlik
    ### 2.6.4-rc1 released
    * server_privileges, themes/*/css/theme_right.css.php: patch #1251692,
      fieldsets for privileges interface, thanks to Sebastian Mendel

2005-08-26 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/indonesian: update thanks to Rachim Tamsjadi - tamsy
    * lang/polish: update thanks to Jakub Wilk - ubanus

2005-08-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1267177, wrong return page
    * main.php, libraries/common.lib.php, Documentation.html,
      config.inc.php: patch #1257134, removed code to display the warning if
      PmaAbsoluteUri is not set. A notice will still display if the autodetect
      code is unable to figure out the proper URI. Thanks to Isaac Bennetch

2005-08-23 Michal Čihař  <michal@cihar.com>
    * libraries/database_interface.lib.php: Abide cfg['Lang'] settings even if
      using MySQL > 4.1.x (bug #1266626).
    * libraries/display_tbl.lib.php: Do not get TABLES as table name, it's
      used on some queries by MySQL 5.0.x (bug #1266623).

2005-08-22 Michal Čihař  <michal@cihar.com>
    * error.php, libraries/common.lib.php, libraries/sanitizing.lib.php:
      Protect against possible XSS (bug #1265740), move input sanitizing to
      special file.
    * config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php:
      Default charset for export is now configurable (RFE #1263772).

2005-08-20 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php, new error.php: patch #1258978, move common
      code for error pages out of common.lib.php, thanks to Sebastian Mendel
    * lang/german*: bug #1258956, typo
    * libraries/defines.lib.php, themes/original/info.inc.php,
      themes/darkblue_orange/info.inc.php: PMA 2.6.4 needs theme version 3

2005-08-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun.
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)

2005-08-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updates, thanks to Xosé Calvo.
    * lang/brazilian-portuguese: update, thanks to Airon Luis Pereira
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/slovak: update, thanks to Ivan Kuriscak - shylauda69
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza)
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/azerbaijani: update, thanks to Shehriyar Imanov (sheki).

2005-08-16 Marc Delisle  <lem9@users.sourceforge.net>
    * css/phpmyadmin.css.php, db_details_links.php, querywindow.php,
      server_links.inc.php, tbl_properties_links.php, libraries/common.lib.php
      themes/*/css/theme_right.css.php, themes/original/img/error.ico:
      patch #1252031, CSS for navigation tabs, thanks to Sebastian Mendel

2005-08-15 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1259951, invalid argument for foreach()

2005-08-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: $goto was not encoded in the form, resulting in a
      problem after editing/saving a row (seen in IE6)
    * libraries/common.lib.php, /display_tbl.lib.php, /functions.js, /grab_globals.lib.php:
      patch #1257955 for bug #1248577 (incorrect message "you should define a primary key")
      and bug #1253125 (request URI too large), thanks to Sebastian Mendel
    * (many files): patch #1253465, avoid error messages for unset variables
      in PHP functions that require a parameter passed by reference,
      thanks to Sebastian Mendel

2005-08-12 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php: remove the 'InnoDB free' segment from table comments
    * footer.inc.php: bug #1257106, display problem in the left frame (IE)

2005-08-11 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: shorten the path of db subtree items,
      thanks to Edward Rudd - urkle
    * config.inc.php, header.inc.php, tbl_properties_links.php,
      themes/*/css/theme_right.css.php, tbl_properties_table_info.php,
      Documentation.html, libraries/config_import.lib.php: patch #1249528,
      move table comments to header and enable configuration of header for
      TRUE/FALSE/'both', thanks to Sebastian Mendel - cybot_tm
    * db_details.php: undefined $header_url_qry
    * sql.php: bug #1255869, "MySQL returned an empty result set" not
      displayed in all cases

2005-08-09 Marc Delisle  <lem9@users.sourceforge.net>
    * read_dump.php: add unique numbers to $strFileCouldNotBeRead to
      improve support when someone gets this error
    * Documentation.html: patch #1253248, links and anchors to every FAQ
      item, thanks to Alexander Schuch - ci-dev

2005-08-08 Michal Čihař  <michal@cihar.com>
    * libraries/export/htmlword.php: Fix undefined variable when exporting
      relations (bug #1253457).

2005-08-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1253453, using mysqli extension
      with MySQL 4.0.x
    * libraries/mysql_charsets.lib.php, /relation_cleanup.lib.php,
      /tbl_move_copy.php: patch #1253461 (code cleanup),
      thanks to Sebastian Mendel
    * libraries/sqlparser.lib.php: patch #1253478, variable initialization
      and code cleanup, thanks to Sebastian Mendel

2005-08-07 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: Save button for PDF schema coordinates,
      thanks to Ryan Schmidt
    * server_privileges.php: undefined index $GLOBALS[''],
      thanks to Ryan Schmidt
    * queryframe.php: need at least 2 items to display a group in the
      database selector, thanks to Ryan Schmidt

2005-08-06 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: fixes for tree subgroups in databases selector:
      escaping of special characters, display a db name inside its own
      group, and proper closing of optgroup, thanks to Ryan Schmidt

2005-08-05 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, readme.php, license.php:
      bug #965548, displaying README and LICENSE, thanks to Ryan Schmidt

2005-08-04 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php, export.php: Show error header on error to make
      clear that something bad has happened.

2005-08-04 Marc Delisle  <lem9@users.sourceforge.net>
    * queryframe.php: patch #1250899:
     - unified spaces between icons
     - cleaned html and php code
     - display of querywindow-icon now follows
       $cfg['QueryFrame']
     - always use no_js=1 if $cfg['QueryFrameJS'] == true
      thanks to Sebastian Mendel
    * Documentation.html: patch #1169308, FAQ 1.17a improved,
      thanks to Isaac Bennetch
    * queryframe.php, footer.inc.php, config.inc.php, Documentation.html,
      libraries/common.lib.php, /config_import.lib.php:
      patch #1246245, tree subgroups for databases (in selector),
      thanks to Edward Rudd - urkle
    * db_details.php, tbl_query_box.php: patch #1250935, interface
      improvements, thanks to Sebastian Mendel
    * tbl_create.php: bug #1252124, XSS on table creation page

2005-08-02 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php: patch #1249363, remove unneeded wordwrap(),
      table width should be limited by template if necessary,
      thanks to Sebastian Mendel - cybot_tm
    * server_databases.php: patch #1249371, correct calculation of colspan,
      and patch #1249414, display improvements, thanks to Sebastian Mendel;
      also,  $dbstats should contain 0 or 1, not the colspan
    * sql.php: patch #1249451, display improvement for bookmark dialog,
      thanks to Sebastian Mendel
    * libraries/common.lib.php: patch #1249457, display improvements for Edit
      Explain etc dialog, thanks to Sebastian Mendel

2005-08-01 Michal Čihař  <michal@cihar.com>
    * lang/czech: Fix bad translation (is was translated to is not :-)),
      update.

2005-08-01 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1249239, XSS vulnerability on Create page
    * Documentation.html: "bug #1248598, explain another cause of the Missing
      parameter error

2005-07-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php, lang/*: new message $strAndThen
    * libraries/dbg/profiling.php: patch #1160439, improvements,
      thanks to Glen Arason
    * scripts/upgrade.pl: patch #1198492, current version check,
      thanks to Herman van Rink - helmo

2005-07-28 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: Go button renamed to Save because it's really used to save coordinates

2005-07-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1243908, left panel browse icon alt tag not updated
      after inserting a row
    * config.inc.php, libraries/config_import.lib.php, /common.lib.php:
      RFE #1177459, BOOL column type

2005-07-26 Michal Čihař  <michal@cihar.com>
    * export.php: Use actual MIME type for CSV.

2005-07-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: insert another new row: dropdown choice should be sticky

2005-07-24 Michal Čihař  <michal@cihar.com>
    * libraries/check_user_privileges.lib.php: Undefined variable (bug
      #1243885).
    * libraries/config_import.lib.php: Do not override theme properties when
      path is not set.
    * libraries/select_theme.lib.php: Do not attempt to sort themes when
      themes are disabled (bug #1243883).

2005-07-23 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_properties.inc.php:
      bug #1157230, escape special chars in ENUM or SET

2005-07-22 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: table creation should not be possible
      in information_schema
    * db_operations.php: those operations do not make sense on
      information_schema
    * browse_foreigners.php: bug #1242805, Show All does not work while
      browsing foreign values
    * libraries/relation.lib.php: for the new ForeignKeyDropdownOrder, id and
      content were reversed (id-content showed content then id)

2005-07-21 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: bug #1240880, XSS on the
      cookie-based login panel

2005-07-20 Marc Delisle  <lem9@users.sourceforge.net>
    * ChangeLog: automatic utf-8 encoding modeline, thanks to Michal

2005-07-19 Marc Delisle  <lem9@users.sourceforge.net>
    * translators.html: message about French translation will be in French

2005-07-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/string.lib.php: typo
    * libraries/sqlparser.data.php: bug #1238222, parsing of ISNULL()

2005-07-14 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/*: removed unused strInvalidRowCount

2005-07-13 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: how to enable the charset choice for exported file

2005-07-13 Michal Čihař  <michal@cihar.com>
    * libraries/common.lib.php: Use eval for config file including to catch
      parse errors (bug #1223319), on error page display config file that
      actually failed.
    * main.php, server_databases.php, libraries/check_user_privileges.lib.php,
      libraries/display_create_database.lib.php: Show box for creating
      database only if user has privileges to do so (bug #1167892).
    * libraries/display_tbl.lib.php: Use better message, thanks to Marc for
      noticing this.

2005-07-12 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php: for Insert row and Export, use post when the query is too big
    * export.php: bug #1116026, export under IE 6 (XP SP2)

2005-07-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relations.php: bug #1227710, unsaved relations lost when changing
      field to display

2005-07-11 Michal Čihař  <michal@cihar.com>
    * db_operations.php: Allow adding DROP TABLE when copying database (RFE
      #1235761).

2005-07-10 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, Documentation.html, libraries/common.lib.php,
      libraries/config_import.lib.php:
      Document previous foreign-key dropdown work, and also ensure that the
      configuration import code works properly with it.

2005-07-10 Michal Čihař  <michal@cihar.com>
    * libraries/auth/http.auth.lib.php: Support FastGCI in http auth (patch
      #1192219)
    * Documentation.html, config.inc.php, left.php, queryframe.php,
      libraries/common.lib.php, libraries/config_import.lib.php,
      libraries/header_meta_style.inc.php, libraries/select_theme.lib.php:
      User can now have different theme per server (RFE #1231599).
    * config.inc.php: Add OLD_PASSWORD (bug #1216178).
    * main.php: Correct ALT attribute for image (bug #1232124).
    * mult_submits.inc.php, libraries/display_tbl.lib.php: Don't forget
      browsing state while deleting multiple rows (bug #1232624).
    * tbl_row_action.php: Fix undefined variable warning.
    * db_details_structure.php, db_operations.php, header.inc.php,
      querywindow.php, tbl_indexes.php, tbl_properties.inc.php,
      tbl_properties_structure.php, lang/*, libraries/display_tbl.lib.php,
      libraries/functions.js, libraries/indexes.js: Show better error messages
      when checking numerical inputs (bug #1207402).
    * sql.php, libraries/common.lib.php: Use post for print view when query is
      too big (bug #1203692).

2005-07-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/display_tbl.lib.php: bug #1235473 display_tbl.lib.php,
      Undefined variable order_img
    * libraries/functions.js: bug #1234098, invalid "normal" cursor style
    * queryframe.php: bug #1231804, query windows does not open in new window,
      thanks to Michael Keck
    * db_details_qbe.php: bug #1234616, minor theme text color issue

2005-07-06 Marc Delisle  <lem9@users.sourceforge.net>
    * db_search.php: bug #1233349, db search in MySQL 5.0.x on fields
      without a charset

2005-07-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza)
      and Mastermnd for the 2.6.2 translation cleanup
    * tbl_properties_table_info.php: bug #1231917, commands out of sync

2005-07-03 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: link in doc, thanks to Cedric Corazza
    ### 2.6.3 released

2005-07-02 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: bug #1230224, db rename and old pmadb information

2005-07-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: patch #1229673, improvement to big-file-import
      instructions, thanks to Isaac Bennetch - ibennetch

2005-06-30 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/hungarian update, thanks to Mihály Mészáros <necronix@freemail.hu>
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/chinese_traditional: Updates, thanks to Siu Sun
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/lithuanian: Updated, thanks to Vilius Simonaitis - maumas98
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-06-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_table_info.php: bug #1228862, creating a table under
      MySQL 5.x with wrong table type

2005-06-28 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_operations.php: bug #1225635,
      cannot change table's collation under MySQL 5.0.4

2005-06-27 Michal Čihař  <michal@cihar.com>
    * config.inc.php: Better comments describing multi server setup (patch
      #1226666).
    * db_details_links.php: Place export tab on same place as on table page
      (RFE #1047874).
    * tbl_properties_links.php: Switch browse and properties tabs
    * db_details_structure.php: Make order of icons same as on table view (RFE
      #1047874).

2005-06-24 Michal Čihař  <michal@cihar.com>
    * tbl_change.php, tbl_properties_links.php, libraries/export/sql.php:
      Remove error reporting.
    * config.inc.php, libraries/common.lib.php,
      libraries/config_import.lib.php, libraries/display_export.lib.php:
      Configurable file name templates (RFE #1226941).
    * themes.php, libraries/select_theme.lib.php: Sort themes, use only one
      code for browsing directory with themes (RFE #1184251).
    * tbl_change.php: Use select instead of input, this saves some place and
      looks better (RFE #1169931).
    * tbl_change.php: Display column comment while editing data (RFE #860912).
    * lang/sync_lang.sh: Fix belarusian name.
    * libraries/transformations/application_octetstream__hex.inc.php, lang/*:
      Add hex transformation (RFE #1100068).

2005-06-24 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: problem renaming a db

2005-06-24 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.
    * db_operations.php: Cleaning up Marc's code... ;-p

2005-06-23 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, libraries/relation.lib.php,
      libraries/get_foreign.lib.php, tbl_select.php, tbl_change.php: Support for
      customizing foreign-key dropdown, take #2, now very customizable, incl max
      item limit.

2005-06-23 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2005-06-22 Alexander M. Turek  <me@derrabus.de>
    * tbl_properties_structure.php: Undefined index.

2005-06-22 Robin Johnson <robbat2@users.sourceforge.net>
    * config.inc.php, libraries/relation.lib.php: Support for customizing
      foreign-key dropdown, take #1.

2005-06-22 Garvin Hicking  <rabustoldmethatiforgotmyemailaddress@supergarv.de>
    * server_databases.php: Bug #1225315, wrong message displayed
      when no databases were dropped.
    * tbl_properties.inc.php: Patch #1225452, JS error for
      getting the value of a select field in certain browsers.

2005-06-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun
    * lang/italian: Updates, thanks to Pietro Danesi
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/mongolian update, thanks to Bayarsaikhan Enkhtaivan
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-06-18 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug 1221602, undefined variable when trying
      to use a reserved word as an identifier
    * db_operations.php, libraries/database_interface.lib.php:
      bug #1221359, Copying a db containing a MERGE table

2005-06-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: visually bind the Add x fields dialog to its
      submit button
    * db_operations.php: bug #1215688, Copying database does not preserve
      default charset and collation
    ### 2.6.3-rc1 released

2005-06-12 Olivier Mueller <om@omnis.ch>
    * lang/*, server_privileges.php: added strings for RFE #1197482:
      $strGeneratePassword, $strGenerate and $strCopy

2005-06-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_export.php: bug #1169791, exporting results from queries
      with limit keyword
    * lang/mongolian* update, thanks to Bayarsaikhan Enkhtaivan
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * lang/galician: Updates, thanks to Xosé Calvo.
    * lang/belarusian, libraries/select_lang.lib.php:
      belarusian is now belarusian_cyrillic; added belarusian_latin,
      thanks to Jaska Zedlik

2005-06-08 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1216901, missing backquotes on the Browse
      feature in case of duplicate entry

2005-06-07 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatarish*: updates, thanks to Albert Fazlí
    * config.inc.php: bug #1215950, typo in comment

2005-06-06 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatarish*, /sync_lang.sh, libraries/select_lang.lib.php,
      translators.html: renamed "tatar" to "tatarish" (tatar is
      a different language and this translation is really tatarish)
    * lang/mongolian*, libraries/select_lang.lib.php,
      translators.html, Documentation.html, README:
      new language (mongolian), thanks to Bayarsaikhan Enkhtaivan

2005-06-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/functions.js: bug #1207405, invalid SQL when creating
      table with zero fields
    * sql.php: bug #1204951, left frame browse icon alt tag
      not updated on emptying table

2005-06-05 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.

2005-06-04 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_traditional: Updates, thanks to Siu Sun.
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/norwegian: Update, thanks to Sven-Erik Andersen
    * db_details_structure.php: optional message $strNumberOfFields,
      will use $strFields if not defined
    * db_operations.php, lang/*: bug #1212997, db copy should not
      always perform CREATE DATABASE

2005-06-03 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/tatar*, /sync_lang.sh, libraries/select_lang.lib.php,
      translators.html, Documentation.html, README:
      new language (tatar), thanks to Albert Fazlí

2005-06-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1213761, hint about Hardened PHP
      and the Missing parameters problem, thanks to Klaus Dorninger

2005-05-31 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: patch 1209863, XHTML validity,
      thanks to Ryan Schmidt

2005-05-29 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: bug #1184325, Label IDs mismatch for ENUM type,
      thanks to Ryan Schmidt
    * footer.inc.php: bug #1209891, db list not refreshed when the left
      frame is positionned on a db, then a manual DROP DATABASE it done
      on another db
    * db_operations.php, footer.inc.php: bug #1170227, copying a db does not
      refresh the queryframe

2005-05-27 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1205940, current timestamp checkbox
      when field type changes

2005-05-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_create.php: bug #1207406, undefined index from PMA_setComment()
    * sql.php: bug #1204913, left frame update on manual table rename

2005-05-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1207404, undefined variables

2005-05-24 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1207395, undefined theme_generation
      and theme_version, thanks to Ryan Schmidt
    * tbl_properties_operations.php: bug #1207212, changing table type
      under MySQL 5.0.4

2005-05-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/charset_conversion.lib.php: diacritics wrongly converted
      in Browse mode under MySQL 4.1.x if AllowAnyWHERERecoding set to TRUE
    * tbl_properties_structure.php, tbl_properties.inc.php,
      libraries/sqlparser.lib.php: bug #1163595, NULL detection of TIMESTAMP
    * many files: bug #1193250, XHTML compliance, thanks to Ryan Schmidt
    * themes/[darkblue_orange|original]/css/theme_print.css.php:
      spelling error Hevetica -> Helvetica, thanks to Castorius and
      Isaac Bennetch - ibennetch

2005-05-19 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_select.php: bug #1204235, searching on a VARBINARY field

2005-05-18 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1193442, 8 extra spaces at end of export area,
      thanks to Ryan Schmidt
    * db_details_structure.php: bug #1193430, zero_rows parameter
      not url-encoded, thanks to Ryan Schmidt

2005-05-17 Marc Delisle  <lem9@users.sourceforge.net>
    * server_privileges.php, libraries/server_privileges.js:
      make the password generator work also on user account editing

2005-05-17 Olivier Mueller <om@omnis.ch>
    * server_privileges.php, libraries/server_privileges.js: RFE #1197482,
      password generator on user creation.  RFC: ok like that?  TODO: add strings.

2005-05-15 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/sqlparser.lib.php: bug #1120434, comment at the end
      of query is applied to appended LIMIT as well

2005-05-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_printview.php: bug #1178760, header not sent when displaying
      print view of multi tables, thanks to Hrvoje Novosel - interghost
    * libraries/functions.js: Patch #1191447, hand pointer on mouseover and
      mousedown, thanks to Ken Stanley - eclipsboi

2005-05-11 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1069012, table collation forgotten
      when adding fields
    * libraries/storage_engines.lib.php: bug 1180119, undefined variable when
      showing the details of a storage engine under MySQL 4.0.x

2005-05-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser.lib.php: bug #1198156, undefined variable
      when exporting without enclosing with backquotes

2005-05-08 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_links.php: patch #1196806, add a Privileges tab
      in db view, thanks to Herman van Rink - helmo
    * server_privileges.php: add a back link to the db on which
      we are checking privileges
    * Documentation.html: FAQ 3.13 about the MySQL API having problem dealing
      with USE followed with a db name containing an hyphen
    * read_dump.php: bug #1189664, js error when 2 queries submitted at once

2005-05-08 Olivier Mueller <om@omnis.ch>
    * scripts/upgrade.pl: new script to let unix admins upgrade phpMyadmin
      with one command and 5 seconds. To be improved, but is working fine
      here (tm).  Based on: http://www.phpmyadmin.net/latest.txt
    * server_privileges.php: always display the "Add a new user" link
      on the User overview page (no more need to click on [show all] or
      an initial before)

2005-05-05 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/mysql_charsets.lib.php: bug #1186983, missing character
      sets and collations (temporary workaround)
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).

2005-05-04 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: improvement about PmaAbsoluteUri,
      thanks to Isaac Bennetch - ibennetch

2005-05-03 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1185152, setting collation for a field,
      thanks to Ryan Schmidt - ryandesign

2005-05-02 Marc Delisle  <lem9@users.sourceforge.net>
    * export.php: bug #1123284, avoid double compression when
      zlib.output_compression is On, thanks to unclef at users.sourceforge.net
    * libraries/common.lib.php: bug #1193223, undefined index htmlexcel_null,
      thanks to Ryan Schmidt - ryandesign

2005-05-01 Marc Delisle  <lem9@users.sourceforge.net>
    * server_status.php: bug #1193225, missing </ul>
    * tbl_properties.inc.php: bug #1193353, js error on creating table

2005-04-30 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php, libraries/tbl_move_copy.php:
      bug #1192468, bookmarks copied too many times

2005-04-27 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/finnish: update, thanks to Jouni Kahkonen
    * lang/russian: update, thanks to lobovich
    * libraries/sqlparser.lib.php: bug #1179887, ordering by count(*)

2005-04-26 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_properties.inc.php:
      bug #1190092, wrong detection of NULL fields with MySQL 5.0.x
    * lang/finnish: big update, thanks to Jouni Kahkonen

2005-04-25 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/sqlparser*: bug #1185173. A query using the Storage
      table name and an alias, returned no result. I changed the
      parser to add a list of "forbidden" reserved words, as listed
      in the MySQL manual (reserved words). Those are not allowed
      as a table/column name, but others (like Storage) are allowed.
      Now the query works. TODO: do not pretty print in color,
      in this case
    * libraries/common.lib.php: bug #1179241, wrong escaping of
      apostrophe in generated PHP code

2005-04-25 Michal Čihař  <michal@cihar.com>
    * lang/czech: Update.
    * lang/english: Fix typo.

2005-04-24 Marc Delisle  <lem9@users.sourceforge.net>
    * left.php, queryframe.php: bug #1168784, please respect the db order
      given in only_db

2005-04-16 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/chinese_simplified: Updates, thanks to mysf at etang.com
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * lang/galician: Updates, thanks to Xosé Calvo.
    * new language: belarusian, thanks to Jaska Zedlik <jz53 at zedlik.com>
    * tbl_properties_export.php: bug #1180860, error going from Export
      to Insert tab
    ### 2.6.2 released

2005-04-14 Marc Delisle  <lem9@users.sourceforge.net>
    * db_details_structure.php: Search icon centering

2005-04-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php: undefined $field_comments

2005-04-10 Alexander M. Turek  <me@derrabus.de>
    * lang/*.inc.php: New messages for MySQL 5.0 privileges.

2005-04-10 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/bulgarian:  Updated, thanks to Stanislav Yordanov (stanprog).
    * server_privileges.php: bug #1179969, problem editing a user's profile
      (and there was a problem also with the detection of
       an already existing user)

2005-04-09 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added keyword ROUTINE.

2005-04-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).

2005-04-07 Alexander M. Turek  <me@derrabus.de>
    * libraries/select_lang.lib.php, lang/english-iso-8859-15.inc.php:
      en-iso-8859-15.
    * lang/*.inc.php: New messages for MySQL 5.0 privileges.

2005-04-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php, tbl_alter.php: bug #1176896, undefined variable
    * libraries/common.lib.php: wrong test when the field's type is
      TIMESTAMP ON UPDATE CURRENT_TIMESTAMP

2005-04-03 Marc Delisle  <lem9@users.sourceforge.net>
    ### 2.6.2-rc1 released

2005-04-01 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: TIMESTAMP options support
    * libraries/common.lib.php: DEFAULT CURRENT_TIMESTAMP is only
      for TIMESTAMP (bug when changing from a TIMESTAMP to a non-TIMESTAMP type)    * (same): bug #1163595, problem 4: a TIMESTAMP must be explicitely
      set to NULL to have the NULL attribute
    * libraries/tbl_move_copy.php: bug #1168996, error copying InnoDB table
      with FK constraints to a table in the same db

2005-03-31 Alexander M. Turek  <me@derrabus.de>
    * left.php: Undefined offset (Bug #1174045).

2005-03-31 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: added FAQ 5.17 about problem with
      Firefox when the Tabbrowser Extensions plugin is installed
    * tbl_properties.inc.php: TIMESTAMP options improved looks, thanks to Garvin
    * tbl_properties.inc.php: TIMESTAMP default CURRENT_TIMESTAMP checkbox
      made dynamic, depending on the field's type
    * tbl_create.php, libraries/relation.lib.php: TIMESTAMP options support

2005-03-30 Alexander M. Turek  <me@derrabus.de>
    * server_databases.php: Bug #1172782 (Don't allow to drop
      information_schema).
    * libraries/mysql_charsets.lib.php: Typo.
    * lang/german-*.inc.php: Better translation.

2005-03-30 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: Patch #1164699, clarification about PmaAbsoluteURI,
      thanks to Isaac Bennetch - ibennetch
    * lang/english: improvements, thanks to Ryan Schmidt - ryandesign
    * lang/*: removed unused message and modified strCheckOverhead
      WHERE still untranslated
    * tbl_properties.inc.php: bug #1163595 (problem #5): after an error
      modifying TIMESTAMP options, the table structure editing form
      was shown without the new options.

2005-03-29 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: XSS vulnerability on convcharset

2005-03-29 Alexander M. Turek  <me@derrabus.de>
    * server_collations.php, libraries/mysql_charsets.lib.php: Don't offer
      unavailable collations (bug #1172517).

2005-03-28 Alexander M. Turek  <me@derrabus.de>
    * left.php: Implemented the forgotten view icon.

2005-03-27 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).
    * libraries/relation.lib.php: bug #1170549, adding fields NOT NULL
      under MySQL 4.1
    ### 2.6.2-beta1 released

2005-03-27 Alexander M. Turek  <me@derrabus.de>
    * libraries/defines.lib.php, themes/*/info.inc.php: Marked 2.6.0 / 2.6.1
      themes as imcompatible because of recent changes.
    * libraries/information_schema_relations.lib.php,
      libraries/relation.lib.php: information_schema relations.

2005-03-26 Alexander M. Turek  <me@derrabus.de>
    * libraries/engines/innodb.lib.php: Caught possible devision by zero.
    * lang/dutch-iso-8859-15.inc.php, lang/finnish-iso-8859-15.inc.php,
      lang/italian-iso-8859-15.inc.php, lang/portoguese-iso-8859-15.inc.php,
      lang/spanish-iso-8859-15.inc.php, libraries/select_lang.lib.php:
      Added more Latin9 language files.

2005-03-25 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties.inc.php: bug #1170255, undefined index: Field

2005-03-25 Alexander M. Turek  <me@derrabus.de>
    * db_details_structure.php: Let's prefer separate icons over CSS 3 hacks
      for marking a functionality as unavailable.
    * libraries/relation.lib.php:
      - Removed recoding function calls from controluser queries as they do
        not depend on the connection charset anymore;
      - Added emulated relations for some information_schema tables. To be
        continued.

2005-03-24 Alexander M. Turek  <me@derrabus.de>
    * libraries/dbi/*.dbi.lib.php, libraries/common.lib.php,
      libraries/database_interface.lib.php:
      - Force separate connection for controluser queries;
      - Don't apply collation_connection settings to controluser connections.
    * lang/galician-*.inc.php: Updates, thanks to Xosé Calvo.
    * lang/chinese_traditional-*.inc.php: Updates, thanks to Siu Sun.

2005-03-22 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php: undefined index tbl_is_view when copying a table
      with constraints and an error occurs

2005-03-20 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    * tbl_properties.inc.php: do not add ON UPDATE CURRENT_TIMESTAMP twice

2005-03-19 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Translations #1120157 (bad translation of
      $strAddSearchConditions).
    * libraries/select_lang.lib.php, lang/polish-windows-1250.inc.php:
      Translations #1161402 (added pl-win1250), thanks to Jakub Wilk (ubanus).
    * libraries/select_lang.lib.php, lang/german-iso-8859-15.inc.php,
      lang/french-iso-8859-15.inc.php: Added ISO-8859-15 (Latin9) editions of
      the German and French language files for testing.

2005-03-19 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/russian update, thanks to gunsky
    * lang/polish: Updated, thanks to Jakub Wilk (ubanus).

2005-03-18 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/brazilian-portuguese: big update, thanks to Airon Luis Pereira
      - thedarkness
    * lang/swedish: Updated, thanks to Björn T. Hallberg (bth).
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)

2005-03-18 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php: Updates.

2005-03-17 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1165148, typo in Documentation.html
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updated, thanks to Xosé Calvo.

2005-03-16 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, tbl_alter.php, tbl_properties.inc.php,
      config.inc.php (comment only), libraries/common.lib.php:
      experimental support for table structure editing with MySQL 4.1.2+
      TIMESTAMP options

2005-03-13 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_row_delete.php renamed to tbl_row_action.php (RFE 1097729)

2005-03-12 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_structure.php, libraries/sqlparser.lib.php:
      start merging code for MySQL 4.1.2 TIMESTAMP options support

2005-03-10 Alexander M. Turek  <me@derrabus.de>
    * libraries/relation.lib.php: Bug #1159415.

2005-03-10 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/database_interface.lib.php, libraries/relation.lib.php:
      problem with getting comments when creating a new table under MySQL 4.1.x
      with mysql extension

2005-03-09 Marc Delisle  <lem9@users.sourceforge.net>
    * db_operations.php: db comments updating broken
    * libraries/relation.lib.php: bug #1159415, data dictionary broken

2005-03-08 Michael Keck  <mkkeck@users.sourceforge.net>
    * themes/*/img/bd_insrow.png, themes/*/bd_insrow.png: Added disabled
      versions of insert-row icons.

2005-03-08 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french update

2005-03-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php: db comments broken
    * libraries/dbi/*.php, lang/*: new $strSocketProblem message
    * db_details.php, tbl_query_box.php, libraries/bookmark.lib.php:
      bookmark improvement,
      based on patch #1034161 by Ryan Schmidt - ryandesign:
      sort bookmarks by label, remove the number before each bookmark
      in the drop-down choice. For this I had to change some logic in the
      calling scripts. It's still possible to have the same label more
      than once.

2005-03-07 Michal Čihař  <michal@cihar.com>
    * db_printview.php, tbl_printview.php, css/phpmyadmin.css.php,
      libraries/header_meta_style.inc.php: Actually use print style in themes,
      also fixes RFE #1120880.
    * sql.php: Better calculate inserted row id (bug #1156963).
    * db_details_links.php, db_details_structure.php: Show database comment on
      each tab (same as we do with table comments).

2005-03-06 Michael Keck  <mkkeck@users.sourceforge.net>
    * themes/*/img/bd_deltbl.png, themes/*/bd_drop.png: Added disabled
      versions of drop icons.

2005-03-06 Michal Čihař  <michal@cihar.com>
    * export.php, libraries/display_export.lib.php, config.inc.php,
      libraries/config_import.lib.php, libraries/export/htmlexcel.php,
      libraries/export/htmlword.php, lang/*: Added Microsoft Word and Excel
      2000 export (RFE #1155122).
    * lang/czech: Updated, thanks to Michal Marek (twofish) for "storage
      engine" translation.
    * lang/english: Nothing to translate here.
    * Documentation.html: Document new Excel export.
    * config.inc.php, libraries/config_import.lib.php,
      libraries/display_export.lib.php, libraries/export/htmlword.php: Word
      export now can contain table structure and better handles more
      tables/databases export.
    * db_operations.php, export.php, main.php, tbl_move_copy.php,
      libraries/common.lib.php, libraries/select_theme.lib.php,
      libraries/auth/cookie.auth.lib.php: Unified cookie path handling, added
      / to end of path (bug #1155373).

2005-03-06 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/relation.lib.php, /display_export.lib.php,
      /export/sql.php: native comments. For MySQL 4.1.x+ I do not display
      the "Add into comments ... Comments" choice, since they are
      part of the structure

2005-03-06 Alexander M. Turek  <me@derrabus.de>
    * lang/*.inc.php, libraries/engines/innodb.lib.php: InnoDB buffer pool
      activity statistics.
    * server_status.php: Removed InnoDB Status sub-page. It is now part of
      server_engines.php.
    * lang/*.inc.php, libraries/engines/innodb.lib.php: Buffer pool size
      indicators.
    * libraries/mysql_charsets.lib.php: Don't check the character set of the
      virtual database "information_schema" (MySQL 5.0).
    * db_details_links.php, db_details_structure.php: Don't allow the user to
      change anything in MySQL 5.0's information_schema database.

2005-03-05 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_alter.php, tbl_addfield.php, db_datadict.php, pdf_schema.php,
      tbl_create.php, libraries/common.lib.php, /relation.lib.php,
      /database_interface.lib.php: MySQL 4.1.x native comments

2005-03-05 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, lang/*.inc.php, libraries/storage_engines.lib.php
      libraries/engines/berkeleydb.lib.php, libraries/engines/bdb.lib.php,
      libraries/engines/innobase.lib.php, libraries/innodb.lib.php,
      libraries/engines/myisam.lib.php:
      - Moved engine-specific settings into plugins;
      - Added ability to create multiple sub-pages in server_engines.php for
        a specific engine;
      - Added a few InnoDB variables. To be continued. :-)
      - New InnoDB buffer pool monitor for MySQL >= 5.0.2.

2005-03-04 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html, libraries/common.lib.php: new FAQ 2.8 about
      Missing parameters, and when the error happens, show a link to FAQ

2005-03-03 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Bug #1153079 (Updating columns starting
      with "str").
    * header.inc.php: Wrong icon for views.
    * libraries/sqlparser.data.php: Added more missing date / time functions.

2005-03-02 Michal Čihař  <michal@cihar.com>
    * libraries/export/sql.php, libraries/display_export.lib.php: Do not offer
      modes not available in current MySQL version, do not fail on error when
      setting SQL_MODE (bug #1155209).

2005-03-02 Marc Delisle  <lem9@users.sourceforge.net>
    * main.php: bug #1154307, wrong text for alt,
      thanks to Isaac Bennetch - ibennetch
    * Documentation.html: bug #1126156, FAQ 6.12 reworked,
      thanks to Isaac Bennetch - ibennetch

2005-03-01 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: bug #1153684, wrong doc for PDF pages generation,
      thanks to Ryan Schmidt
    * libraries/auth/config.auth.lib.php: bug #1149565, tooltip.js undefined
      var

2005-02-27 Alexander M. Turek  <me@derrab.us>
    * libraries/sqlparser.data.php: Added missing MySQL functions STR_TO_DATE
      and GET_FORMAT (bug #1152310).

2005-02-27 Michal Čihař  <michal@cihar.com>
    * server_binlog.php: MySQL 5 compatibility (bug #1151960).

2005-02-26 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: added FAQ 5.16 about various IE and Windows
      problems. Thanks to Michael Keck.
    * main.php: bug #1143528, Reload MySQL not seen on MySQL 4.1.2

2005-02-24 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Fixed the fix, thanks to Marc. :-)

2005-02-23 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/auth/cookie.auth.lib.php: bug #1149373, error when
      blowfish_secret is empty

2005-02-23 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: More hotfixes against bug #1149381.
    * libraries/mysql_charsets.lib.php: Detection for new Japanese charsets
      (cp932 and eucjpms) that will be introduced with MySQL 5.0.3.
    * libraries/select_lang.lib.php: Removed the UTF-8 deactivation code that
      we had already commented out a long time ago.

2005-02-22 Alexander M. Turek  <me@derrabus.de>
    * libraries/grab_globals.lib.php: Hotfix against bug #1149381 and parts
      of bug #1149383.

2005-02-21 Marc Delisle  <lem9@users.sourceforge.net>
    * pdf_pages.php: patch #1120466 (modified): optional column names
      in visual scratchboard, thanks to Remco Aalbers - remcoa

2005-02-17 Marc Delisle  <lem9@users.sourceforge.net>
    * header.inc.php, queryframe.php: HTML improvement,
      thanks to Armel Fauveau
    * server_privileges.php: bug #1113788, escaping character removed by error

2005-02-16 Alexander M. Turek  <me@derrabus.de>
    * db_details_export.php: Views are not exportable yet.
    * themes/*/css/theme_right.css.php: Allow to mark a whole row as disabled.
    * server_engines.php: Use new CSS class 'disabled' for unavailable
      engines.

2005-02-14 Michal Čihař  <michal@cihar.com>
    * tbl_printview.php, libraries/tbl_indexes.lib.php: Fix displaying
      indexes for print view, use same function as for normal view (bug
      #1119388).
    * css/print.css, libraries/tbl_indexes.lib.php,
      libraries/header_meta_style.inc.php: Use CSS for hiding print button
      rather than javascript.

2005-02-14 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_properties_table_info.php: avoid errors #1046, no database selected
      in MySQL 5.0.2
    * lang/romanian: Updated, thanks to Valics Lehel.

2005-02-13 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/french update
    * server_privileges.php: bug #1118137, host not changing when editing user

2005-02-10 Marc Delisle  <lem9@users.sourceforge.net>
    * Documentation.html: new FAQ 1.32 about using HTTP auth under IIS

2005-02-09 Marc Delisle  <lem9@users.sourceforge.net>
    * config.inc.php, Documentation.html: bug #1115327, document the
      maximum number of characters for blowfish_secret

2005-02-09 Alexander M. Turek  <me@derrabus.de>
    * lang/italian-*.inc.php: Updates, thanks to Pietro Danesi.

2005-02-08 Michal Čihař  <michal@cihar.com>
    * export.php: Fix export of SQL for Safari (bug #1113015).

2005-02-07 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/*: bug #1116933, PMA_DBI_free_result():
      do not send a boolean to mysqli_free_result() or mysql_free_result(),
      it expects a result resource
    * libraries/tbl_move_copy.php: bug #1117112, commands out of sync when
      using "copy table" operation
    * libraries/common.lib.php: bug #1114363, error when SHOW DATABASES is
      disabled

2005-02-07 Alexander M. Turek  <me@derrabus.de>
    * libraries/mcrypt.lib.php: Bug #1117907 ("wrong parameter count" with
      php 4.1.x.

2005-02-06 Alexander M. Turek  <me@derrabus.de>
    * header.inc.php, tbl_properties_table_info.php: View detection for
      header.inc.php.
    * tbl_properties_links.php: Adjusted tab bar for views.

2005-02-05 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_relation.php: removed comments handling (pmadb-style) from relation view

2005-02-04 Michal Čihař  <michal@cihar.com>
    * tbl_change.php: Fix TIMESTAMP editing on MySQL 4.1 (bug #1114120).

2005-02-03 Alexander M. Turek  <me@derrabus.de>
    * tbl_addfield.php: Bug #1040682 (adding field with collation).

2005-02-02 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/*: PMA_DBI_num_rows(): do not send a boolean
      to mysqli_num_rows() or mysql_num_row(), it expects a result resource
    * tbl_properties.inc.php: bug #1114550, changing the type of
      a float unsigned column

2005-01-30 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/export/sql.php: bug #1108521, part 2: mysqli_num_rows
      cannot be used with MYSQL_USE_RESULT

2005-01-29 Alexander M. Turek  <me@derrabus.de>
    * lang/japanese-utf-8.inc.php: Bug #1111855 ("Undefined index" when using
      the Janapese language file under MySQL 4.1.

2005-01-28 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1111706, call to undefined
      function PMA_reloadNavigation(). A failed connection was not properly
      detected
    * libraries/export/sql.php: bug #1108521, mysqli_free_result() expects
      parameter 1 to be a result

2005-01-27 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/fpdf/fpdf.php: bug #1106146, missing header for PDF,
      thanks to Michal
    * libraries/display_tbl.lib.php: the LongOperation message should
      be just for InnoDB

2005-01-27 Michal Čihař  <michal@cihar.com>
    * read_dump.php: Fix detection of SELECT query to display on multiple
      submits (bug #1110727).

2005-01-23 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_query_box.php: bug #1107937, undefined $fields_list
    * lang/estonian: Update thanks to Alvar Soome - finsoft.
    ### 2.6.1 released

2005-01-23 Michal Čihař  <michal@cihar.com>
    * export.php: Back to Content-Type application/x-bzip2 on bzip2 export
      (bug #1106652).

2005-01-23 Alexander M. Turek  <me@derrabus.de>
    * libraries/sqlparser.data.php: Added some keywords.

2005-01-22 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/bookmark.lib.php: bug #1103289: num_rows and MYSQL_USE_RESULT,
      and fix a typo "boommark"
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/serbian: Updated, thanks to Mihailo Stefanovic (mikis).

2005-01-20 Michael Keck  <mkkeck@users.sourceforge.net>
    * libraries/tooltip.js: new JS library for tooltips (hints)
    * libraries/common.lib.php: img tag modified for mouseover / mouseout
      (show/hide tooltip)
    * header.inc.php: needed div-container for tooltips
    * footer.inc.php: linking to js-file tooltip.js
    * themes/.../theme_right.css.php: tooltip class
    * querywindow.php / tbl_query_box.php: resizing the querywindow if it
      to small
    * themes/.../layout.inc.php: increased QueryWindowHeight / QueryWindowWidth
    * themes/.../theme_right.css.php: new class for disabled (not available)
      text / values / messages
    * libraries/tooltip.js: removed wrong typos (sorry)

2005-01-20 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.inc.php: Use Michael's new icon for
      storage engines.
    * main.php: Added link to storage engines sub-page.

2005-01-18 Marc Delisle  <lem9@users.sourceforge.net>
    * sql.php, libraries/common.lib.php, /display_tbl.lib.php, /functions.js,
      lang/*.php: bug #1084820: ask a confirmation when a user wants to
      reach the End of rows, and count the exact number of rows to
      go to the real end
      TODO: page number selector
    * common.lib.php: PMA_showHint(): now the lightbulb is clickable,
      to reveal the full message for browsers who truncate it,
      thanks to Alexander for the suggestion

2005-01-18 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.php libraries/storage_engines.lib.php:
      - Emulation for < MySQL 4.1.2;
      - BerkeleyDB version information.
    * tbl_properties.inc.php, tbl_properties_operations.php,
      libraries/storage_engines.lib.php: Auto-generated engine selection
      dropdown.
    * header.inc.php, libraries/common.lib.php: Finger pointer for lightbulbs.

2005-01-17 Michael Keck  <mkkeck@users.sourceforge.net>
    * libraries/common.lib.php: modified function for
      Add a link by MySQL-Error #1062 - Duplicate entry
      (feature request #1036254)

2005-01-17 Michal Čihař  <michal@cihar.com>
    * lang/czech: Fix typos (translation #1103785).

2005-01-17 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, lang/*.inc.php: Nice output for some MyISAM
      parameters.

2005-01-16 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/common.lib.php: bug #1103201, wrong treatment of MySQL error
      #1060 in the logic for error #1062

2005-01-15 Alexander M. Turek  <me@derrabus.de>
    * server_engines.php, server_links.inc.php, lang/*.inc.php,
      libraries/storage_engines.php: Detailed storage engines status
      information.

2005-01-12 Alexander M. Turek  <me@derrabus.de>
    * tbl_properties_table_info.inc.php: Basic view detection.
    * tbl_properties_structure.php: Disabled table-specific interface elements
      for views.

2005-01-11 Alexander M. Turek  <me@derrabus.de>
    * libraries/relation.lib.php:
      - Removed redundant code;
      - Fixed some comments.
    * tbl_properties_structure.php: Corrected TH numbering.
    * db_details_structure.php: Small design glitch with "in use" tables.
    * db_details_structure.php, mult_submits.inc.php, lang/*.inc.php:
      - Views are now displayed correctly within the table list;
      - Added ability to drop views from the db structure page.
        TODO: It is not yet possible to drop a view from the table sub pages.

2005-01-11 Marc Delisle  <lem9@users.sourceforge.net>
    * libraries/dbi/mysqli.dbi.lib.php: bug #1076213, headers sent
      on invalid login

2005-01-10 Michal Čihař  <michal@cihar.com>
     * lang/czech: Fix typo (translation #1099459).

2005-01-10 Olivier Mueller <om@omnis.ch>
    * README: copyright, we're in 2005

2005-01-09 Marc Delisle  <lem9@users.sourceforge.net>
    * lang/danish: Updated, thanks to AlleyKat - dk_alleykat.
    * lang/catalan update, thanks to Xavier Navarro (xavin).
    * lang/japanese: updated, thanks to Tadashi Jokagi (elf2000)
    * lang/dutch: Updates, thanks to Ivo Teel.
    * lang/indonesian: Update thanks to Rachim Tamsjadi - tamsy.
    * lang/galician: Updated, thanks to Xosé Calvo.
    * lang/spanish: Updated, thanks to Daniel Hinostroza (hinostroza).
    ### 2.6.1-rc2 released

2005-01-07 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_addfield.php: bug #1082680, undefined $field_charset when adding
      a FLOAT field in MySQL 4.1.x

2005-01-07 Michal Čihař  <michal@cihar.com>
    * Documentation.html, tbl_change.php, tbl_properties.inc.php,
      libraries/functions.js, libraries/tbl_change.js,
      libraries/keyhandler.js: Use Option key for Safari for moving (bug
      #1094137), move key handler function to separate file so we have only
      one, make movement work correctly in vertical display of properties.
    * libraries/common.lib.php: Fix timestamp in uva condition with MySQL 4.1
      (bug #1097593).

2005-01-06 Marc Delisle  <lem9@users.sourceforge.net>
    * tbl_change.php: removed old PHP3-workaround that caused problems
      with field names like '000'

2005-01-05 Michal Čihař  <michal@cihar.com>
    * tbl_properties_operations.php: Fix changning table parameters if it has
      no auto increment (bug #1096246).

2005-01-04 Alexander M. Turek  <me@derrabus.de>
    * lang/german-*.inc.php:
      - Updates and small corrections;
      - Synchronized translation with the German MySQL documentation.

2005-01-03 Michal Čihař  <michal@cihar.com>
    * export.php: Use standardised mime types and use content encoding for
      gzip/bzip2. I hope this will fix double gzip compression as in bug
      #1094649.

2005-01-01 Michal Čihař  <michal@cihar.com>
    * tbl_alter.php: Don't try to set collation for non text fields (bug
      #1094109).
    * sql.php: Do not forget reloading when launching multiple queries (bug
      #1090818).

         --- Older ChangeLogs can be found on our project website ---
                     http://www.phpmyadmin.net/old-stuff/ChangeLogs/

# vim: et ts=4 sw=4 sts=4
# vim: ft=changelog fenc=utf-8 encoding=utf-8
# vim: fde=getline(v\:lnum-1)=~'^\\s*$'&&getline(v\:lnum)=~'\\S'?'>1'\:1&&v\:lnum>8&&getline(v\:lnum)!~'^#'
# vim: fdn=1 fdm=expr
